(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     77789,       1341]
NotebookOptionsPosition[     73878,       1277]
NotebookOutlinePosition[     74346,       1295]
CellTagsIndexPosition[     74303,       1292]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8202311176947727`*^9, 3.8202311208363905`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"798f5459-a36d-414a-8cae-973c8a8959aa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Hileras", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<aabbbbbb\>\"", ",", "\"\<accccccc\>\"", ",", "\"\<aabbbccc\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ElementoLenguajeQ", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<S->aA|aB\>\"", ",", "\"\<A->aC\>\"", ",", "\"\<B->Dc\>\"", ",", 
       "\"\<C->bC|b\>\"", ",", "\"\<D->c|Dc\>\""}], "}"}], ",", "\[Alpha]"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "Hileras"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Hileras", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<aabbbbbb\>\"", ",", "\"\<accccccc\>\"", ",", "\"\<aabbbccc\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ElementoLenguajeQ", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<S->aA|aB\>\"", ",", "\"\<A->aC\>\"", ",", "\"\<B->Dc\>\"", ",", 
       "\"\<C->bC|b\>\"", ",", "\"\<D->c|Dc\>\""}], "}"}], ",", "\[Alpha]", 
     ",", 
     RowBox[{"pruebas", "\[Rule]", "50"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "Hileras"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8207504688359184`*^9, 3.820750564420919*^9}, {
  3.8207523008308525`*^9, 3.8207523132988496`*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"5a66679a-5806-42fe-9866-4a88f6cc64d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", "False"}], "}"}]], "Output",
 CellChangeTimes->{
  3.820750565515149*^9, {3.8207523142631583`*^9, 3.8207523400561547`*^9}},
 CellLabel->"Out[80]=",ExpressionUUID->"a40d90f7-4dd5-42a0-97fb-7efe483cf828"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", "False"}], "}"}]], "Output",
 CellChangeTimes->{
  3.820750565515149*^9, {3.8207523142631583`*^9, 3.8207523402291965`*^9}},
 CellLabel->"Out[82]=",ExpressionUUID->"e8ff687d-7e9b-4138-8524-603d49ef1000"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ElementoLenguajeQ", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "\"\<S->aA|aB\>\"", ",", "\"\<A->aC\>\"", ",", "\"\<B->Dc\>\"", ",", 
     "\"\<C->bC|b\>\"", ",", "\"\<D->c|Dc\>\""}], "}"}], ",", 
   "\"\<aabbbbbb\>\"", ",", 
   RowBox[{"derivaciones", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.820747915104554*^9, 3.8207480546921406`*^9}, 
   3.820748107525786*^9, 3.8207481632301865`*^9, {3.8207502958413525`*^9, 
   3.8207503038222766`*^9}, {3.8207504312636185`*^9, 3.820750474639369*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"63cce46e-eb29-47bf-b433-42ca6f993800"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aabbbbbC\"\>", ",", "\<\"aabbbbCb\"\>", 
     ",", "\<\"aabbbCbb\"\>", ",", "\<\"aabbCbbb\"\>", 
     ",", "\<\"aabCbbbb\"\>", ",", "\<\"aaCbbbbb\"\>"}], "}"}]}],
  SequenceForm[
  1, " ", {"aabbbbbC", "aabbbbCb", "aabbbCbb", "aabbCbbb", "aabCbbbb", 
    "aaCbbbbb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.8207523203381896`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"f85c2442-ea57-473b-af91-8823f319b2e2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"2", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbbbbb\"\>", ",", "\<\"aabbbbC\"\>", 
     ",", "\<\"aabbbbCC\"\>", ",", "\<\"aabbbCb\"\>", ",", "\<\"aabbbCbC\"\>",
      ",", "\<\"aabbbCCb\"\>", ",", "\<\"aabbCbb\"\>", 
     ",", "\<\"aabbCbbC\"\>", ",", "\<\"aabbCbCb\"\>", 
     ",", "\<\"aabbCCbb\"\>", ",", "\<\"aabCbbb\"\>", ",", "\<\"aabCbbbC\"\>",
      ",", "\<\"aabCbbCb\"\>", ",", "\<\"aabCbCbb\"\>", 
     ",", "\<\"aabCCbbb\"\>", ",", "\<\"aaCbbbb\"\>", ",", "\<\"aaCbbbbC\"\>",
      ",", "\<\"aaCbbbCb\"\>", ",", "\<\"aaCbbCbb\"\>", 
     ",", "\<\"aaCbCbbb\"\>", ",", "\<\"aaCCbbbb\"\>"}], "}"}]}],
  SequenceForm[
  2, " ", {"aAbbbbb", "aabbbbC", "aabbbbCC", "aabbbCb", "aabbbCbC", 
    "aabbbCCb", "aabbCbb", "aabbCbbC", "aabbCbCb", "aabbCCbb", "aabCbbb", 
    "aabCbbbC", "aabCbbCb", "aabCbCbb", "aabCCbbb", "aaCbbbb", "aaCbbbbC", 
    "aaCbbbCb", "aaCbbCbb", "aaCbCbbb", "aaCCbbbb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.820752320340184*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"8aa063a3-54ac-4a05-aeb8-5c68e57edd66"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbbbb\"\>", ",", "\<\"aAbbbbC\"\>", ",", "\<\"aabbbC\"\>", 
     ",", "\<\"aAbbbCb\"\>", ",", "\<\"aabbbCC\"\>", ",", "\<\"aabbbCCC\"\>", 
     ",", "\<\"aabbCb\"\>", ",", "\<\"aAbbCbb\"\>", ",", "\<\"aabbCbC\"\>", 
     ",", "\<\"aabbCbCC\"\>", ",", "\<\"aabbCCb\"\>", ",", "\<\"aabbCCbC\"\>",
      ",", "\<\"aabbCCCb\"\>", ",", "\<\"aabCbb\"\>", ",", "\<\"aAbCbbb\"\>", 
     ",", "\<\"aabCbbC\"\>", ",", "\<\"aabCbbCC\"\>", ",", "\<\"aabCbCb\"\>", 
     ",", "\<\"aabCbCbC\"\>", ",", "\<\"aabCbCCb\"\>", ",", "\<\"aabCCbb\"\>",
      ",", "\<\"aabCCbbC\"\>", ",", "\<\"aabCCbCb\"\>", 
     ",", "\<\"aabCCCbb\"\>", ",", "\<\"aaCbbb\"\>", ",", "\<\"aACbbbb\"\>", 
     ",", "\<\"aaCbbbC\"\>", ",", "\<\"aaCbbbCC\"\>", ",", "\<\"aaCbbCb\"\>", 
     ",", "\<\"aaCbbCbC\"\>", ",", "\<\"aaCbbCCb\"\>", ",", "\<\"aaCbCbb\"\>",
      ",", "\<\"aaCbCbbC\"\>", ",", "\<\"aaCbCbCb\"\>", 
     ",", "\<\"aaCbCCbb\"\>", ",", "\<\"aaCCbbb\"\>", ",", "\<\"aaCCbbbC\"\>",
      ",", "\<\"aaCCbbCb\"\>", ",", "\<\"aaCCbCbb\"\>", 
     ",", "\<\"aaCCCbbb\"\>", ",", "\<\"Sbbbbb\"\>"}], "}"}]}],
  SequenceForm[
  3, " ", {"aAbbbb", "aAbbbbC", "aabbbC", "aAbbbCb", "aabbbCC", "aabbbCCC", 
    "aabbCb", "aAbbCbb", "aabbCbC", "aabbCbCC", "aabbCCb", "aabbCCbC", 
    "aabbCCCb", "aabCbb", "aAbCbbb", "aabCbbC", "aabCbbCC", "aabCbCb", 
    "aabCbCbC", "aabCbCCb", "aabCCbb", "aabCCbbC", "aabCCbCb", "aabCCCbb", 
    "aaCbbb", "aACbbbb", "aaCbbbC", "aaCbbbCC", "aaCbbCb", "aaCbbCbC", 
    "aaCbbCCb", "aaCbCbb", "aaCbCbbC", "aaCbCbCb", "aaCbCCbb", "aaCCbbb", 
    "aaCCbbbC", "aaCCbbCb", "aaCCbCbb", "aaCCCbbb", "Sbbbbb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.8207523203421793`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"f73ffd49-4faf-4a71-aad6-22429eb4dffc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"4", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbbb\"\>", ",", "\<\"aAbbbC\"\>", ",", "\<\"aAbbbCC\"\>", 
     ",", "\<\"aabbC\"\>", ",", "\<\"aAbbCb\"\>", ",", "\<\"aAbbCbC\"\>", 
     ",", "\<\"aabbCC\"\>", ",", "\<\"aAbbCCb\"\>", ",", "\<\"aabbCCC\"\>", 
     ",", "\<\"aabbCCCC\"\>", ",", "\<\"aabCb\"\>", ",", "\<\"aAbCbb\"\>", 
     ",", "\<\"aAbCbbC\"\>", ",", "\<\"aabCbC\"\>", ",", "\<\"aAbCbCb\"\>", 
     ",", "\<\"aabCbCC\"\>", ",", "\<\"aabCbCCC\"\>", ",", "\<\"aabCCb\"\>", 
     ",", "\<\"aAbCCbb\"\>", ",", "\<\"aabCCbC\"\>", ",", "\<\"aabCCbCC\"\>", 
     ",", "\<\"aabCCCb\"\>", ",", "\<\"aabCCCbC\"\>", ",", "\<\"aabCCCCb\"\>",
      ",", "\<\"aaCbb\"\>", ",", "\<\"aACbbb\"\>", ",", "\<\"aACbbbC\"\>", 
     ",", "\<\"aaCbbC\"\>", ",", "\<\"aACbbCb\"\>", ",", "\<\"aaCbbCC\"\>", 
     ",", "\<\"aaCbbCCC\"\>", ",", "\<\"aaCbCb\"\>", ",", "\<\"aACbCbb\"\>", 
     ",", "\<\"aaCbCbC\"\>", ",", "\<\"aaCbCbCC\"\>", ",", "\<\"aaCbCCb\"\>", 
     ",", "\<\"aaCbCCbC\"\>", ",", "\<\"aaCbCCCb\"\>", ",", "\<\"aaCCbb\"\>", 
     ",", "\<\"aACCbbb\"\>", ",", "\<\"aaCCbbC\"\>", ",", "\<\"aaCCbbCC\"\>", 
     ",", "\<\"aaCCbCb\"\>", ",", "\<\"aaCCbCbC\"\>", ",", "\<\"aaCCbCCb\"\>",
      ",", "\<\"aaCCCbb\"\>", ",", "\<\"aaCCCbbC\"\>", 
     ",", "\<\"aaCCCbCb\"\>", ",", "\<\"aaCCCCbb\"\>", ",", "\<\"Sbbbb\"\>", 
     ",", "\<\"SbbbbC\"\>", ",", "\<\"SbbbCb\"\>", ",", "\<\"SbbCbb\"\>", 
     ",", "\<\"SbCbbb\"\>", ",", "\<\"SCbbbb\"\>"}], "}"}]}],
  SequenceForm[
  4, " ", {"aAbbb", "aAbbbC", "aAbbbCC", "aabbC", "aAbbCb", "aAbbCbC", 
    "aabbCC", "aAbbCCb", "aabbCCC", "aabbCCCC", "aabCb", "aAbCbb", "aAbCbbC", 
    "aabCbC", "aAbCbCb", "aabCbCC", "aabCbCCC", "aabCCb", "aAbCCbb", 
    "aabCCbC", "aabCCbCC", "aabCCCb", "aabCCCbC", "aabCCCCb", "aaCbb", 
    "aACbbb", "aACbbbC", "aaCbbC", "aACbbCb", "aaCbbCC", "aaCbbCCC", "aaCbCb",
     "aACbCbb", "aaCbCbC", "aaCbCbCC", "aaCbCCb", "aaCbCCbC", "aaCbCCCb", 
    "aaCCbb", "aACCbbb", "aaCCbbC", "aaCCbbCC", "aaCCbCb", "aaCCbCbC", 
    "aaCCbCCb", "aaCCCbb", "aaCCCbbC", "aaCCCbCb", "aaCCCCbb", "Sbbbb", 
    "SbbbbC", "SbbbCb", "SbbCbb", "SbCbbb", "SCbbbb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.8207523203441734`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"39a95f15-8f1b-4fa5-b792-5d82beec1ed7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"5", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbb\"\>", ",", "\<\"aAbbC\"\>", ",", "\<\"aAbbCC\"\>", 
     ",", "\<\"aAbbCCC\"\>", ",", "\<\"aabC\"\>", ",", "\<\"aAbCb\"\>", 
     ",", "\<\"aAbCbC\"\>", ",", "\<\"aAbCbCC\"\>", ",", "\<\"aabCC\"\>", 
     ",", "\<\"aAbCCb\"\>", ",", "\<\"aAbCCbC\"\>", ",", "\<\"aabCCC\"\>", 
     ",", "\<\"aAbCCCb\"\>", ",", "\<\"aabCCCC\"\>", ",", "\<\"aabCCCCC\"\>", 
     ",", "\<\"aaCb\"\>", ",", "\<\"aACbb\"\>", ",", "\<\"aACbbC\"\>", 
     ",", "\<\"aACbbCC\"\>", ",", "\<\"aaCbC\"\>", ",", "\<\"aACbCb\"\>", 
     ",", "\<\"aACbCbC\"\>", ",", "\<\"aaCbCC\"\>", ",", "\<\"aACbCCb\"\>", 
     ",", "\<\"aaCbCCC\"\>", ",", "\<\"aaCbCCCC\"\>", ",", "\<\"aaCCb\"\>", 
     ",", "\<\"aACCbb\"\>", ",", "\<\"aACCbbC\"\>", ",", "\<\"aaCCbC\"\>", 
     ",", "\<\"aACCbCb\"\>", ",", "\<\"aaCCbCC\"\>", ",", "\<\"aaCCbCCC\"\>", 
     ",", "\<\"aaCCCb\"\>", ",", "\<\"aACCCbb\"\>", ",", "\<\"aaCCCbC\"\>", 
     ",", "\<\"aaCCCbCC\"\>", ",", "\<\"aaCCCCb\"\>", ",", "\<\"aaCCCCbC\"\>",
      ",", "\<\"aaCCCCCb\"\>", ",", "\<\"Sbbb\"\>", ",", "\<\"SbbbC\"\>", 
     ",", "\<\"SbbbCC\"\>", ",", "\<\"SbbCb\"\>", ",", "\<\"SbbCbC\"\>", 
     ",", "\<\"SbbCCb\"\>", ",", "\<\"SbCbb\"\>", ",", "\<\"SbCbbC\"\>", 
     ",", "\<\"SbCbCb\"\>", ",", "\<\"SbCCbb\"\>", ",", "\<\"SCbbb\"\>", 
     ",", "\<\"SCbbbC\"\>", ",", "\<\"SCbbCb\"\>", ",", "\<\"SCbCbb\"\>", 
     ",", "\<\"SCCbbb\"\>"}], "}"}]}],
  SequenceForm[
  5, " ", {"aAbb", "aAbbC", "aAbbCC", "aAbbCCC", "aabC", "aAbCb", "aAbCbC", 
    "aAbCbCC", "aabCC", "aAbCCb", "aAbCCbC", "aabCCC", "aAbCCCb", "aabCCCC", 
    "aabCCCCC", "aaCb", "aACbb", "aACbbC", "aACbbCC", "aaCbC", "aACbCb", 
    "aACbCbC", "aaCbCC", "aACbCCb", "aaCbCCC", "aaCbCCCC", "aaCCb", "aACCbb", 
    "aACCbbC", "aaCCbC", "aACCbCb", "aaCCbCC", "aaCCbCCC", "aaCCCb", 
    "aACCCbb", "aaCCCbC", "aaCCCbCC", "aaCCCCb", "aaCCCCbC", "aaCCCCCb", 
    "Sbbb", "SbbbC", "SbbbCC", "SbbCb", "SbbCbC", "SbbCCb", "SbCbb", "SbCbbC",
     "SbCbCb", "SbCCbb", "SCbbb", "SCbbbC", "SCbbCb", "SCbCbb", "SCCbbb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.8207523203730965`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"9b7e673e-a98e-4b54-868c-52c76a83bfff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"6", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAb\"\>", ",", "\<\"aAbC\"\>", ",", "\<\"aAbCC\"\>", 
     ",", "\<\"aAbCCC\"\>", ",", "\<\"aAbCCCC\"\>", ",", "\<\"aaC\"\>", 
     ",", "\<\"aACb\"\>", ",", "\<\"aACbC\"\>", ",", "\<\"aACbCC\"\>", 
     ",", "\<\"aACbCCC\"\>", ",", "\<\"aaCC\"\>", ",", "\<\"aACCb\"\>", 
     ",", "\<\"aACCbC\"\>", ",", "\<\"aACCbCC\"\>", ",", "\<\"aaCCC\"\>", 
     ",", "\<\"aACCCb\"\>", ",", "\<\"aACCCbC\"\>", ",", "\<\"aaCCCC\"\>", 
     ",", "\<\"aACCCCb\"\>", ",", "\<\"aaCCCCC\"\>", ",", "\<\"aaCCCCCC\"\>", 
     ",", "\<\"Sbb\"\>", ",", "\<\"SbbC\"\>", ",", "\<\"SbbCC\"\>", 
     ",", "\<\"SbbCCC\"\>", ",", "\<\"SbCb\"\>", ",", "\<\"SbCbC\"\>", 
     ",", "\<\"SbCbCC\"\>", ",", "\<\"SbCCb\"\>", ",", "\<\"SbCCbC\"\>", 
     ",", "\<\"SbCCCb\"\>", ",", "\<\"SCbb\"\>", ",", "\<\"SCbbC\"\>", 
     ",", "\<\"SCbbCC\"\>", ",", "\<\"SCbCb\"\>", ",", "\<\"SCbCbC\"\>", 
     ",", "\<\"SCbCCb\"\>", ",", "\<\"SCCbb\"\>", ",", "\<\"SCCbbC\"\>", 
     ",", "\<\"SCCbCb\"\>", ",", "\<\"SCCCbb\"\>"}], "}"}]}],
  SequenceForm[
  6, " ", {"aAb", "aAbC", "aAbCC", "aAbCCC", "aAbCCCC", "aaC", "aACb", 
    "aACbC", "aACbCC", "aACbCCC", "aaCC", "aACCb", "aACCbC", "aACCbCC", 
    "aaCCC", "aACCCb", "aACCCbC", "aaCCCC", "aACCCCb", "aaCCCCC", "aaCCCCCC", 
    "Sbb", "SbbC", "SbbCC", "SbbCCC", "SbCb", "SbCbC", "SbCbCC", "SbCCb", 
    "SbCCbC", "SbCCCb", "SCbb", "SCbbC", "SCbbCC", "SCbCb", "SCbCbC", 
    "SCbCCb", "SCCbb", "SCCbbC", "SCCbCb", "SCCCbb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.8207523203750906`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"c742442a-50ef-4451-a815-76ca4054fa84"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"7", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aA\"\>", ",", "\<\"aAC\"\>", ",", "\<\"aACC\"\>", 
     ",", "\<\"aACCC\"\>", ",", "\<\"aACCCC\"\>", ",", "\<\"aACCCCC\"\>", 
     ",", "\<\"Sb\"\>", ",", "\<\"SbC\"\>", ",", "\<\"SbCC\"\>", 
     ",", "\<\"SbCCC\"\>", ",", "\<\"SbCCCC\"\>", ",", "\<\"SCb\"\>", 
     ",", "\<\"SCbC\"\>", ",", "\<\"SCbCC\"\>", ",", "\<\"SCbCCC\"\>", 
     ",", "\<\"SCCb\"\>", ",", "\<\"SCCbC\"\>", ",", "\<\"SCCbCC\"\>", 
     ",", "\<\"SCCCb\"\>", ",", "\<\"SCCCbC\"\>", ",", "\<\"SCCCCb\"\>"}], 
    "}"}]}],
  SequenceForm[
  7, " ", {"aA", "aAC", "aACC", "aACCC", "aACCCC", "aACCCCC", "Sb", "SbC", 
    "SbCC", "SbCCC", "SbCCCC", "SCb", "SCbC", "SCbCC", "SCbCCC", "SCCb", 
    "SCCbC", "SCCbCC", "SCCCb", "SCCCbC", "SCCCCb"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.820752320377086*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"9342b1f6-6836-4566-b52c-16569085a576"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"8", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", "\<\"SC\"\>", ",", "\<\"SCC\"\>", 
     ",", "\<\"SCCC\"\>", ",", "\<\"SCCCC\"\>", ",", "\<\"SCCCCC\"\>"}], 
    "}"}]}],
  SequenceForm[8, " ", {"S", "SC", "SCC", "SCCC", "SCCCC", "SCCCCC"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207481704270563`*^9, 3.8207482411847534`*^9, 3.820748492395051*^9, 
   3.8207485689941716`*^9, {3.8207486077285213`*^9, 3.820748612278556*^9}, {
   3.8207503500582795`*^9, 3.8207503660873113`*^9}, 3.8207505286871605`*^9, 
   3.8207523203781166`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[76]:=",ExpressionUUID->"f0ab27ad-e05d-4a39-901f-42479369d7e1"]
}, Open  ]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.820748170424056*^9, 3.8207482411827574`*^9, 3.820748492393056*^9, 
   3.820748568993175*^9, {3.8207486077275248`*^9, 3.8207486122765617`*^9}, {
   3.8207503500562844`*^9, 3.8207503660853167`*^9}, 3.8207505287271523`*^9, 
   3.82075232037908*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"f8a6baef-1fdd-4c2e-8dfe-c8633992c445"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ElementoLenguajeQ", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "\"\<S->aA|aB\>\"", ",", "\"\<A->aC\>\"", ",", "\"\<B->Dc\>\"", ",", 
     "\"\<C->bC|b\>\"", ",", "\"\<D->c|Dc\>\""}], "}"}], ",", 
   "\"\<accccccc\>\"", ",", 
   RowBox[{"derivaciones", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8207481212738767`*^9, 3.8207481342094865`*^9}, 
   3.8207481651033096`*^9, 3.8207482346498623`*^9, {3.820750284738902*^9, 
   3.8207502911781487`*^9}, {3.820750533960988*^9, 3.820750537933256*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"a9043ede-3b39-4311-9701-16be1325cb09"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"accccccD\"\>", ",", "\<\"acccccDc\"\>", 
     ",", "\<\"accccDcc\"\>", ",", "\<\"acccDccc\"\>", 
     ",", "\<\"accDcccc\"\>", ",", "\<\"acDccccc\"\>", 
     ",", "\<\"aDcccccc\"\>"}], "}"}]}],
  SequenceForm[
  1, " ", {"accccccD", "acccccDc", "accccDcc", "acccDccc", "accDcccc", 
    "acDccccc", "aDcccccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.8207523237509427`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"622e45d2-412f-4802-b758-f0b1a643b32d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"2", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aBccccc\"\>", ",", "\<\"acBcccc\"\>", ",", "\<\"accBccc\"\>",
      ",", "\<\"acccBcc\"\>", ",", "\<\"accccBc\"\>", ",", "\<\"acccccB\"\>", 
     ",", "\<\"acccccD\"\>", ",", "\<\"acccccDD\"\>", ",", "\<\"accccDc\"\>", 
     ",", "\<\"accccDcD\"\>", ",", "\<\"accccDDc\"\>", ",", "\<\"acccDcc\"\>",
      ",", "\<\"acccDccD\"\>", ",", "\<\"acccDcDc\"\>", 
     ",", "\<\"acccDDcc\"\>", ",", "\<\"accDccc\"\>", ",", "\<\"accDcccD\"\>",
      ",", "\<\"accDccDc\"\>", ",", "\<\"accDcDcc\"\>", 
     ",", "\<\"accDDccc\"\>", ",", "\<\"acDcccc\"\>", ",", "\<\"acDccccD\"\>",
      ",", "\<\"acDcccDc\"\>", ",", "\<\"acDccDcc\"\>", 
     ",", "\<\"acDcDccc\"\>", ",", "\<\"acDDcccc\"\>", ",", "\<\"aDccccc\"\>",
      ",", "\<\"aDcccccD\"\>", ",", "\<\"aDccccDc\"\>", 
     ",", "\<\"aDcccDcc\"\>", ",", "\<\"aDccDccc\"\>", 
     ",", "\<\"aDcDcccc\"\>", ",", "\<\"aDDccccc\"\>"}], "}"}]}],
  SequenceForm[
  2, " ", {"aBccccc", "acBcccc", "accBccc", "acccBcc", "accccBc", "acccccB", 
    "acccccD", "acccccDD", "accccDc", "accccDcD", "accccDDc", "acccDcc", 
    "acccDccD", "acccDcDc", "acccDDcc", "accDccc", "accDcccD", "accDccDc", 
    "accDcDcc", "accDDccc", "acDcccc", "acDccccD", "acDcccDc", "acDccDcc", 
    "acDcDccc", "acDDcccc", "aDccccc", "aDcccccD", "aDccccDc", "aDcccDcc", 
    "aDccDccc", "aDcDcccc", "aDDccccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.8207523237549257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"23838c0f-924e-46c4-94f0-f235dbadf055"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aBcccc\"\>", ",", "\<\"aBccccD\"\>", ",", "\<\"aBcccDc\"\>", 
     ",", "\<\"aBccDcc\"\>", ",", "\<\"aBcDccc\"\>", ",", "\<\"aBDcccc\"\>", 
     ",", "\<\"acBccc\"\>", ",", "\<\"acBcccD\"\>", ",", "\<\"acBccDc\"\>", 
     ",", "\<\"acBcDcc\"\>", ",", "\<\"acBDccc\"\>", ",", "\<\"accBcc\"\>", 
     ",", "\<\"accBccD\"\>", ",", "\<\"accBcDc\"\>", ",", "\<\"accBDcc\"\>", 
     ",", "\<\"acccBc\"\>", ",", "\<\"acccBcD\"\>", ",", "\<\"acccBDc\"\>", 
     ",", "\<\"accccB\"\>", ",", "\<\"accccBD\"\>", ",", "\<\"accccD\"\>", 
     ",", "\<\"accccDB\"\>", ",", "\<\"accccDD\"\>", ",", "\<\"accccDDD\"\>", 
     ",", "\<\"acccDBc\"\>", ",", "\<\"acccDc\"\>", ",", "\<\"acccDcB\"\>", 
     ",", "\<\"acccDcD\"\>", ",", "\<\"acccDcDD\"\>", ",", "\<\"acccDDc\"\>", 
     ",", "\<\"acccDDcD\"\>", ",", "\<\"acccDDDc\"\>", ",", "\<\"accDBcc\"\>",
      ",", "\<\"accDcBc\"\>", ",", "\<\"accDcc\"\>", ",", "\<\"accDccB\"\>", 
     ",", "\<\"accDccD\"\>", ",", "\<\"accDccDD\"\>", ",", "\<\"accDcDc\"\>", 
     ",", "\<\"accDcDcD\"\>", ",", "\<\"accDcDDc\"\>", ",", "\<\"accDDcc\"\>",
      ",", "\<\"accDDccD\"\>", ",", "\<\"accDDcDc\"\>", 
     ",", "\<\"accDDDcc\"\>", ",", "\<\"acDBccc\"\>", ",", "\<\"acDcBcc\"\>", 
     ",", "\<\"acDccBc\"\>", ",", "\<\"acDccc\"\>", ",", "\<\"acDcccB\"\>", 
     ",", "\<\"acDcccD\"\>", ",", "\<\"acDcccDD\"\>", ",", "\<\"acDccDc\"\>", 
     ",", "\<\"acDccDcD\"\>", ",", "\<\"acDccDDc\"\>", ",", "\<\"acDcDcc\"\>",
      ",", "\<\"acDcDccD\"\>", ",", "\<\"acDcDcDc\"\>", 
     ",", "\<\"acDcDDcc\"\>", ",", "\<\"acDDccc\"\>", ",", "\<\"acDDcccD\"\>",
      ",", "\<\"acDDccDc\"\>", ",", "\<\"acDDcDcc\"\>", 
     ",", "\<\"acDDDccc\"\>", ",", "\<\"aDBcccc\"\>", ",", "\<\"aDcBccc\"\>", 
     ",", "\<\"aDccBcc\"\>", ",", "\<\"aDcccBc\"\>", ",", "\<\"aDcccc\"\>", 
     ",", "\<\"aDccccB\"\>", ",", "\<\"aDccccD\"\>", ",", "\<\"aDccccDD\"\>", 
     ",", "\<\"aDcccDc\"\>", ",", "\<\"aDcccDcD\"\>", ",", "\<\"aDcccDDc\"\>",
      ",", "\<\"aDccDcc\"\>", ",", "\<\"aDccDccD\"\>", 
     ",", "\<\"aDccDcDc\"\>", ",", "\<\"aDccDDcc\"\>", ",", "\<\"aDcDccc\"\>",
      ",", "\<\"aDcDcccD\"\>", ",", "\<\"aDcDccDc\"\>", 
     ",", "\<\"aDcDcDcc\"\>", ",", "\<\"aDcDDccc\"\>", ",", "\<\"aDDcccc\"\>",
      ",", "\<\"aDDccccD\"\>", ",", "\<\"aDDcccDc\"\>", 
     ",", "\<\"aDDccDcc\"\>", ",", "\<\"aDDcDccc\"\>", 
     ",", "\<\"aDDDcccc\"\>", ",", "\<\"Sccccc\"\>"}], "}"}]}],
  SequenceForm[
  3, " ", {"aBcccc", "aBccccD", "aBcccDc", "aBccDcc", "aBcDccc", "aBDcccc", 
    "acBccc", "acBcccD", "acBccDc", "acBcDcc", "acBDccc", "accBcc", "accBccD",
     "accBcDc", "accBDcc", "acccBc", "acccBcD", "acccBDc", "accccB", 
    "accccBD", "accccD", "accccDB", "accccDD", "accccDDD", "acccDBc", 
    "acccDc", "acccDcB", "acccDcD", "acccDcDD", "acccDDc", "acccDDcD", 
    "acccDDDc", "accDBcc", "accDcBc", "accDcc", "accDccB", "accDccD", 
    "accDccDD", "accDcDc", "accDcDcD", "accDcDDc", "accDDcc", "accDDccD", 
    "accDDcDc", "accDDDcc", "acDBccc", "acDcBcc", "acDccBc", "acDccc", 
    "acDcccB", "acDcccD", "acDcccDD", "acDccDc", "acDccDcD", "acDccDDc", 
    "acDcDcc", "acDcDccD", "acDcDcDc", "acDcDDcc", "acDDccc", "acDDcccD", 
    "acDDccDc", "acDDcDcc", "acDDDccc", "aDBcccc", "aDcBccc", "aDccBcc", 
    "aDcccBc", "aDcccc", "aDccccB", "aDccccD", "aDccccDD", "aDcccDc", 
    "aDcccDcD", "aDcccDDc", "aDccDcc", "aDccDccD", "aDccDcDc", "aDccDDcc", 
    "aDcDccc", "aDcDcccD", "aDcDccDc", "aDcDcDcc", "aDcDDccc", "aDDcccc", 
    "aDDccccD", "aDDcccDc", "aDDccDcc", "aDDcDccc", "aDDDcccc", "Sccccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.820752323758915*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"74be79f2-a8ea-47ce-9e89-e11439d9f0eb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"4", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aBBccc\"\>", ",", "\<\"aBcBcc\"\>", ",", "\<\"aBccBc\"\>", 
     ",", "\<\"aBccc\"\>", ",", "\<\"aBcccB\"\>", ",", "\<\"aBcccD\"\>", 
     ",", "\<\"aBcccDD\"\>", ",", "\<\"aBccDc\"\>", ",", "\<\"aBccDcD\"\>", 
     ",", "\<\"aBccDDc\"\>", ",", "\<\"aBcDcc\"\>", ",", "\<\"aBcDccD\"\>", 
     ",", "\<\"aBcDcDc\"\>", ",", "\<\"aBcDDcc\"\>", ",", "\<\"aBDccc\"\>", 
     ",", "\<\"aBDcccD\"\>", ",", "\<\"aBDccDc\"\>", ",", "\<\"aBDcDcc\"\>", 
     ",", "\<\"aBDDccc\"\>", ",", "\<\"acBBcc\"\>", ",", "\<\"acBcBc\"\>", 
     ",", "\<\"acBcc\"\>", ",", "\<\"acBccB\"\>", ",", "\<\"acBccD\"\>", 
     ",", "\<\"acBccDD\"\>", ",", "\<\"acBcDc\"\>", ",", "\<\"acBcDcD\"\>", 
     ",", "\<\"acBcDDc\"\>", ",", "\<\"acBDcc\"\>", ",", "\<\"acBDccD\"\>", 
     ",", "\<\"acBDcDc\"\>", ",", "\<\"acBDDcc\"\>", ",", "\<\"accBBc\"\>", 
     ",", "\<\"accBc\"\>", ",", "\<\"accBcB\"\>", ",", "\<\"accBcD\"\>", 
     ",", "\<\"accBcDD\"\>", ",", "\<\"accBDc\"\>", ",", "\<\"accBDcD\"\>", 
     ",", "\<\"accBDDc\"\>", ",", "\<\"acccB\"\>", ",", "\<\"acccBB\"\>", 
     ",", "\<\"acccBD\"\>", ",", "\<\"acccBDD\"\>", ",", "\<\"acccD\"\>", 
     ",", "\<\"acccDB\"\>", ",", "\<\"acccDBD\"\>", ",", "\<\"acccDD\"\>", 
     ",", "\<\"acccDDB\"\>", ",", "\<\"acccDDD\"\>", ",", "\<\"acccDDDD\"\>", 
     ",", "\<\"accDBc\"\>", ",", "\<\"accDBcD\"\>", ",", "\<\"accDBDc\"\>", 
     ",", "\<\"accDc\"\>", ",", "\<\"accDcB\"\>", ",", "\<\"accDcBD\"\>", 
     ",", "\<\"accDcD\"\>", ",", "\<\"accDcDB\"\>", ",", "\<\"accDcDD\"\>", 
     ",", "\<\"accDcDDD\"\>", ",", "\<\"accDDBc\"\>", ",", "\<\"accDDc\"\>", 
     ",", "\<\"accDDcB\"\>", ",", "\<\"accDDcD\"\>", ",", "\<\"accDDcDD\"\>", 
     ",", "\<\"accDDDc\"\>", ",", "\<\"accDDDcD\"\>", ",", "\<\"accDDDDc\"\>",
      ",", "\<\"acDBcc\"\>", ",", "\<\"acDBccD\"\>", ",", "\<\"acDBcDc\"\>", 
     ",", "\<\"acDBDcc\"\>", ",", "\<\"acDcBc\"\>", ",", "\<\"acDcBcD\"\>", 
     ",", "\<\"acDcBDc\"\>", ",", "\<\"acDcc\"\>", ",", "\<\"acDccB\"\>", 
     ",", "\<\"acDccBD\"\>", ",", "\<\"acDccD\"\>", ",", "\<\"acDccDB\"\>", 
     ",", "\<\"acDccDD\"\>", ",", "\<\"acDccDDD\"\>", ",", "\<\"acDcDBc\"\>", 
     ",", "\<\"acDcDc\"\>", ",", "\<\"acDcDcB\"\>", ",", "\<\"acDcDcD\"\>", 
     ",", "\<\"acDcDcDD\"\>", ",", "\<\"acDcDDc\"\>", ",", "\<\"acDcDDcD\"\>",
      ",", "\<\"acDcDDDc\"\>", ",", "\<\"acDDBcc\"\>", ",", "\<\"acDDcBc\"\>",
      ",", "\<\"acDDcc\"\>", ",", "\<\"acDDccB\"\>", ",", "\<\"acDDccD\"\>", 
     ",", "\<\"acDDccDD\"\>", ",", "\<\"acDDcDc\"\>", ",", "\<\"acDDcDcD\"\>",
      ",", "\<\"acDDcDDc\"\>", ",", "\<\"acDDDcc\"\>", 
     ",", "\<\"acDDDccD\"\>", ",", "\<\"acDDDcDc\"\>", 
     ",", "\<\"acDDDDcc\"\>", ",", "\<\"aDBccc\"\>", ",", "\<\"aDBcccD\"\>", 
     ",", "\<\"aDBccDc\"\>", ",", "\<\"aDBcDcc\"\>", ",", "\<\"aDBDccc\"\>", 
     ",", "\<\"aDcBcc\"\>", ",", "\<\"aDcBccD\"\>", ",", "\<\"aDcBcDc\"\>", 
     ",", "\<\"aDcBDcc\"\>", ",", "\<\"aDccBc\"\>", ",", "\<\"aDccBcD\"\>", 
     ",", "\<\"aDccBDc\"\>", ",", "\<\"aDccc\"\>", ",", "\<\"aDcccB\"\>", 
     ",", "\<\"aDcccBD\"\>", ",", "\<\"aDcccD\"\>", ",", "\<\"aDcccDB\"\>", 
     ",", "\<\"aDcccDD\"\>", ",", "\<\"aDcccDDD\"\>", ",", "\<\"aDccDBc\"\>", 
     ",", "\<\"aDccDc\"\>", ",", "\<\"aDccDcB\"\>", ",", "\<\"aDccDcD\"\>", 
     ",", "\<\"aDccDcDD\"\>", ",", "\<\"aDccDDc\"\>", ",", "\<\"aDccDDcD\"\>",
      ",", "\<\"aDccDDDc\"\>", ",", "\<\"aDcDBcc\"\>", ",", "\<\"aDcDcBc\"\>",
      ",", "\<\"aDcDcc\"\>", ",", "\<\"aDcDccB\"\>", ",", "\<\"aDcDccD\"\>", 
     ",", "\<\"aDcDccDD\"\>", ",", "\<\"aDcDcDc\"\>", ",", "\<\"aDcDcDcD\"\>",
      ",", "\<\"aDcDcDDc\"\>", ",", "\<\"aDcDDcc\"\>", 
     ",", "\<\"aDcDDccD\"\>", ",", "\<\"aDcDDcDc\"\>", 
     ",", "\<\"aDcDDDcc\"\>", ",", "\<\"aDDBccc\"\>", ",", "\<\"aDDcBcc\"\>", 
     ",", "\<\"aDDccBc\"\>", ",", "\<\"aDDccc\"\>", ",", "\<\"aDDcccB\"\>", 
     ",", "\<\"aDDcccD\"\>", ",", "\<\"aDDcccDD\"\>", ",", "\<\"aDDccDc\"\>", 
     ",", "\<\"aDDccDcD\"\>", ",", "\<\"aDDccDDc\"\>", ",", "\<\"aDDcDcc\"\>",
      ",", "\<\"aDDcDccD\"\>", ",", "\<\"aDDcDcDc\"\>", 
     ",", "\<\"aDDcDDcc\"\>", ",", "\<\"aDDDccc\"\>", ",", "\<\"aDDDcccD\"\>",
      ",", "\<\"aDDDccDc\"\>", ",", "\<\"aDDDcDcc\"\>", 
     ",", "\<\"aDDDDccc\"\>", ",", "\<\"Scccc\"\>", ",", "\<\"SccccD\"\>", 
     ",", "\<\"ScccDc\"\>", ",", "\<\"SccDcc\"\>", ",", "\<\"ScDccc\"\>", 
     ",", "\<\"SDcccc\"\>"}], "}"}]}],
  SequenceForm[
  4, " ", {"aBBccc", "aBcBcc", "aBccBc", "aBccc", "aBcccB", "aBcccD", 
    "aBcccDD", "aBccDc", "aBccDcD", "aBccDDc", "aBcDcc", "aBcDccD", "aBcDcDc",
     "aBcDDcc", "aBDccc", "aBDcccD", "aBDccDc", "aBDcDcc", "aBDDccc", 
    "acBBcc", "acBcBc", "acBcc", "acBccB", "acBccD", "acBccDD", "acBcDc", 
    "acBcDcD", "acBcDDc", "acBDcc", "acBDccD", "acBDcDc", "acBDDcc", "accBBc",
     "accBc", "accBcB", "accBcD", "accBcDD", "accBDc", "accBDcD", "accBDDc", 
    "acccB", "acccBB", "acccBD", "acccBDD", "acccD", "acccDB", "acccDBD", 
    "acccDD", "acccDDB", "acccDDD", "acccDDDD", "accDBc", "accDBcD", 
    "accDBDc", "accDc", "accDcB", "accDcBD", "accDcD", "accDcDB", "accDcDD", 
    "accDcDDD", "accDDBc", "accDDc", "accDDcB", "accDDcD", "accDDcDD", 
    "accDDDc", "accDDDcD", "accDDDDc", "acDBcc", "acDBccD", "acDBcDc", 
    "acDBDcc", "acDcBc", "acDcBcD", "acDcBDc", "acDcc", "acDccB", "acDccBD", 
    "acDccD", "acDccDB", "acDccDD", "acDccDDD", "acDcDBc", "acDcDc", 
    "acDcDcB", "acDcDcD", "acDcDcDD", "acDcDDc", "acDcDDcD", "acDcDDDc", 
    "acDDBcc", "acDDcBc", "acDDcc", "acDDccB", "acDDccD", "acDDccDD", 
    "acDDcDc", "acDDcDcD", "acDDcDDc", "acDDDcc", "acDDDccD", "acDDDcDc", 
    "acDDDDcc", "aDBccc", "aDBcccD", "aDBccDc", "aDBcDcc", "aDBDccc", 
    "aDcBcc", "aDcBccD", "aDcBcDc", "aDcBDcc", "aDccBc", "aDccBcD", "aDccBDc",
     "aDccc", "aDcccB", "aDcccBD", "aDcccD", "aDcccDB", "aDcccDD", "aDcccDDD",
     "aDccDBc", "aDccDc", "aDccDcB", "aDccDcD", "aDccDcDD", "aDccDDc", 
    "aDccDDcD", "aDccDDDc", "aDcDBcc", "aDcDcBc", "aDcDcc", "aDcDccB", 
    "aDcDccD", "aDcDccDD", "aDcDcDc", "aDcDcDcD", "aDcDcDDc", "aDcDDcc", 
    "aDcDDccD", "aDcDDcDc", "aDcDDDcc", "aDDBccc", "aDDcBcc", "aDDccBc", 
    "aDDccc", "aDDcccB", "aDDcccD", "aDDcccDD", "aDDccDc", "aDDccDcD", 
    "aDDccDDc", "aDDcDcc", "aDDcDccD", "aDDcDcDc", "aDDcDDcc", "aDDDccc", 
    "aDDDcccD", "aDDDccDc", "aDDDcDcc", "aDDDDccc", "Scccc", "SccccD", 
    "ScccDc", "SccDcc", "ScDccc", "SDcccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.8207523237629433`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"07f111bb-7f9e-4e44-b82c-768c115c1614"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"5", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aBBcc\"\>", ",", "\<\"aBBccD\"\>", ",", "\<\"aBBcDc\"\>", 
     ",", "\<\"aBBDcc\"\>", ",", "\<\"aBcBc\"\>", ",", "\<\"aBcBcD\"\>", 
     ",", "\<\"aBcBDc\"\>", ",", "\<\"aBcc\"\>", ",", "\<\"aBccB\"\>", 
     ",", "\<\"aBccBD\"\>", ",", "\<\"aBccD\"\>", ",", "\<\"aBccDB\"\>", 
     ",", "\<\"aBccDD\"\>", ",", "\<\"aBccDDD\"\>", ",", "\<\"aBcDBc\"\>", 
     ",", "\<\"aBcDc\"\>", ",", "\<\"aBcDcB\"\>", ",", "\<\"aBcDcD\"\>", 
     ",", "\<\"aBcDcDD\"\>", ",", "\<\"aBcDDc\"\>", ",", "\<\"aBcDDcD\"\>", 
     ",", "\<\"aBcDDDc\"\>", ",", "\<\"aBDBcc\"\>", ",", "\<\"aBDcBc\"\>", 
     ",", "\<\"aBDcc\"\>", ",", "\<\"aBDccB\"\>", ",", "\<\"aBDccD\"\>", 
     ",", "\<\"aBDccDD\"\>", ",", "\<\"aBDcDc\"\>", ",", "\<\"aBDcDcD\"\>", 
     ",", "\<\"aBDcDDc\"\>", ",", "\<\"aBDDcc\"\>", ",", "\<\"aBDDccD\"\>", 
     ",", "\<\"aBDDcDc\"\>", ",", "\<\"aBDDDcc\"\>", ",", "\<\"acBBc\"\>", 
     ",", "\<\"acBBcD\"\>", ",", "\<\"acBBDc\"\>", ",", "\<\"acBc\"\>", 
     ",", "\<\"acBcB\"\>", ",", "\<\"acBcBD\"\>", ",", "\<\"acBcD\"\>", 
     ",", "\<\"acBcDB\"\>", ",", "\<\"acBcDD\"\>", ",", "\<\"acBcDDD\"\>", 
     ",", "\<\"acBDBc\"\>", ",", "\<\"acBDc\"\>", ",", "\<\"acBDcB\"\>", 
     ",", "\<\"acBDcD\"\>", ",", "\<\"acBDcDD\"\>", ",", "\<\"acBDDc\"\>", 
     ",", "\<\"acBDDcD\"\>", ",", "\<\"acBDDDc\"\>", ",", "\<\"accB\"\>", 
     ",", "\<\"accBB\"\>", ",", "\<\"accBBD\"\>", ",", "\<\"accBD\"\>", 
     ",", "\<\"accBDB\"\>", ",", "\<\"accBDD\"\>", ",", "\<\"accBDDD\"\>", 
     ",", "\<\"accD\"\>", ",", "\<\"accDB\"\>", ",", "\<\"accDBB\"\>", 
     ",", "\<\"accDBD\"\>", ",", "\<\"accDBDD\"\>", ",", "\<\"accDD\"\>", 
     ",", "\<\"accDDB\"\>", ",", "\<\"accDDBD\"\>", ",", "\<\"accDDD\"\>", 
     ",", "\<\"accDDDB\"\>", ",", "\<\"accDDDD\"\>", ",", "\<\"accDDDDD\"\>", 
     ",", "\<\"acDBBc\"\>", ",", "\<\"acDBc\"\>", ",", "\<\"acDBcB\"\>", 
     ",", "\<\"acDBcD\"\>", ",", "\<\"acDBcDD\"\>", ",", "\<\"acDBDc\"\>", 
     ",", "\<\"acDBDcD\"\>", ",", "\<\"acDBDDc\"\>", ",", "\<\"acDc\"\>", 
     ",", "\<\"acDcB\"\>", ",", "\<\"acDcBB\"\>", ",", "\<\"acDcBD\"\>", 
     ",", "\<\"acDcBDD\"\>", ",", "\<\"acDcD\"\>", ",", "\<\"acDcDB\"\>", 
     ",", "\<\"acDcDBD\"\>", ",", "\<\"acDcDD\"\>", ",", "\<\"acDcDDB\"\>", 
     ",", "\<\"acDcDDD\"\>", ",", "\<\"acDcDDDD\"\>", ",", "\<\"acDDBc\"\>", 
     ",", "\<\"acDDBcD\"\>", ",", "\<\"acDDBDc\"\>", ",", "\<\"acDDc\"\>", 
     ",", "\<\"acDDcB\"\>", ",", "\<\"acDDcBD\"\>", ",", "\<\"acDDcD\"\>", 
     ",", "\<\"acDDcDB\"\>", ",", "\<\"acDDcDD\"\>", ",", "\<\"acDDcDDD\"\>", 
     ",", "\<\"acDDDBc\"\>", ",", "\<\"acDDDc\"\>", ",", "\<\"acDDDcB\"\>", 
     ",", "\<\"acDDDcD\"\>", ",", "\<\"acDDDcDD\"\>", ",", "\<\"acDDDDc\"\>", 
     ",", "\<\"acDDDDcD\"\>", ",", "\<\"acDDDDDc\"\>", ",", "\<\"aDBBcc\"\>", 
     ",", "\<\"aDBcBc\"\>", ",", "\<\"aDBcc\"\>", ",", "\<\"aDBccB\"\>", 
     ",", "\<\"aDBccD\"\>", ",", "\<\"aDBccDD\"\>", ",", "\<\"aDBcDc\"\>", 
     ",", "\<\"aDBcDcD\"\>", ",", "\<\"aDBcDDc\"\>", ",", "\<\"aDBDcc\"\>", 
     ",", "\<\"aDBDccD\"\>", ",", "\<\"aDBDcDc\"\>", ",", "\<\"aDBDDcc\"\>", 
     ",", "\<\"aDcBBc\"\>", ",", "\<\"aDcBc\"\>", ",", "\<\"aDcBcB\"\>", 
     ",", "\<\"aDcBcD\"\>", ",", "\<\"aDcBcDD\"\>", ",", "\<\"aDcBDc\"\>", 
     ",", "\<\"aDcBDcD\"\>", ",", "\<\"aDcBDDc\"\>", ",", "\<\"aDcc\"\>", 
     ",", "\<\"aDccB\"\>", ",", "\<\"aDccBB\"\>", ",", "\<\"aDccBD\"\>", 
     ",", "\<\"aDccBDD\"\>", ",", "\<\"aDccD\"\>", ",", "\<\"aDccDB\"\>", 
     ",", "\<\"aDccDBD\"\>", ",", "\<\"aDccDD\"\>", ",", "\<\"aDccDDB\"\>", 
     ",", "\<\"aDccDDD\"\>", ",", "\<\"aDccDDDD\"\>", ",", "\<\"aDcDBc\"\>", 
     ",", "\<\"aDcDBcD\"\>", ",", "\<\"aDcDBDc\"\>", ",", "\<\"aDcDc\"\>", 
     ",", "\<\"aDcDcB\"\>", ",", "\<\"aDcDcBD\"\>", ",", "\<\"aDcDcD\"\>", 
     ",", "\<\"aDcDcDB\"\>", ",", "\<\"aDcDcDD\"\>", ",", "\<\"aDcDcDDD\"\>", 
     ",", "\<\"aDcDDBc\"\>", ",", "\<\"aDcDDc\"\>", ",", "\<\"aDcDDcB\"\>", 
     ",", "\<\"aDcDDcD\"\>", ",", "\<\"aDcDDcDD\"\>", ",", "\<\"aDcDDDc\"\>", 
     ",", "\<\"aDcDDDcD\"\>", ",", "\<\"aDcDDDDc\"\>", ",", "\<\"aDDBcc\"\>", 
     ",", "\<\"aDDBccD\"\>", ",", "\<\"aDDBcDc\"\>", ",", "\<\"aDDBDcc\"\>", 
     ",", "\<\"aDDcBc\"\>", ",", "\<\"aDDcBcD\"\>", ",", "\<\"aDDcBDc\"\>", 
     ",", "\<\"aDDcc\"\>", ",", "\<\"aDDccB\"\>", ",", "\<\"aDDccBD\"\>", 
     ",", "\<\"aDDccD\"\>", ",", "\<\"aDDccDB\"\>", ",", "\<\"aDDccDD\"\>", 
     ",", "\<\"aDDccDDD\"\>", ",", "\<\"aDDcDBc\"\>", ",", "\<\"aDDcDc\"\>", 
     ",", "\<\"aDDcDcB\"\>", ",", "\<\"aDDcDcD\"\>", ",", "\<\"aDDcDcDD\"\>", 
     ",", "\<\"aDDcDDc\"\>", ",", "\<\"aDDcDDcD\"\>", ",", "\<\"aDDcDDDc\"\>",
      ",", "\<\"aDDDBcc\"\>", ",", "\<\"aDDDcBc\"\>", ",", "\<\"aDDDcc\"\>", 
     ",", "\<\"aDDDccB\"\>", ",", "\<\"aDDDccD\"\>", ",", "\<\"aDDDccDD\"\>", 
     ",", "\<\"aDDDcDc\"\>", ",", "\<\"aDDDcDcD\"\>", ",", "\<\"aDDDcDDc\"\>",
      ",", "\<\"aDDDDcc\"\>", ",", "\<\"aDDDDccD\"\>", 
     ",", "\<\"aDDDDcDc\"\>", ",", "\<\"aDDDDDcc\"\>", ",", "\<\"SBccc\"\>", 
     ",", "\<\"ScBcc\"\>", ",", "\<\"SccBc\"\>", ",", "\<\"Sccc\"\>", 
     ",", "\<\"ScccB\"\>", ",", "\<\"ScccD\"\>", ",", "\<\"ScccDD\"\>", 
     ",", "\<\"SccDc\"\>", ",", "\<\"SccDcD\"\>", ",", "\<\"SccDDc\"\>", 
     ",", "\<\"ScDcc\"\>", ",", "\<\"ScDccD\"\>", ",", "\<\"ScDcDc\"\>", 
     ",", "\<\"ScDDcc\"\>", ",", "\<\"SDccc\"\>", ",", "\<\"SDcccD\"\>", 
     ",", "\<\"SDccDc\"\>", ",", "\<\"SDcDcc\"\>", ",", "\<\"SDDccc\"\>"}], 
    "}"}]}],
  SequenceForm[
  5, " ", {"aBBcc", "aBBccD", "aBBcDc", "aBBDcc", "aBcBc", "aBcBcD", "aBcBDc",
     "aBcc", "aBccB", "aBccBD", "aBccD", "aBccDB", "aBccDD", "aBccDDD", 
    "aBcDBc", "aBcDc", "aBcDcB", "aBcDcD", "aBcDcDD", "aBcDDc", "aBcDDcD", 
    "aBcDDDc", "aBDBcc", "aBDcBc", "aBDcc", "aBDccB", "aBDccD", "aBDccDD", 
    "aBDcDc", "aBDcDcD", "aBDcDDc", "aBDDcc", "aBDDccD", "aBDDcDc", "aBDDDcc",
     "acBBc", "acBBcD", "acBBDc", "acBc", "acBcB", "acBcBD", "acBcD", 
    "acBcDB", "acBcDD", "acBcDDD", "acBDBc", "acBDc", "acBDcB", "acBDcD", 
    "acBDcDD", "acBDDc", "acBDDcD", "acBDDDc", "accB", "accBB", "accBBD", 
    "accBD", "accBDB", "accBDD", "accBDDD", "accD", "accDB", "accDBB", 
    "accDBD", "accDBDD", "accDD", "accDDB", "accDDBD", "accDDD", "accDDDB", 
    "accDDDD", "accDDDDD", "acDBBc", "acDBc", "acDBcB", "acDBcD", "acDBcDD", 
    "acDBDc", "acDBDcD", "acDBDDc", "acDc", "acDcB", "acDcBB", "acDcBD", 
    "acDcBDD", "acDcD", "acDcDB", "acDcDBD", "acDcDD", "acDcDDB", "acDcDDD", 
    "acDcDDDD", "acDDBc", "acDDBcD", "acDDBDc", "acDDc", "acDDcB", "acDDcBD", 
    "acDDcD", "acDDcDB", "acDDcDD", "acDDcDDD", "acDDDBc", "acDDDc", 
    "acDDDcB", "acDDDcD", "acDDDcDD", "acDDDDc", "acDDDDcD", "acDDDDDc", 
    "aDBBcc", "aDBcBc", "aDBcc", "aDBccB", "aDBccD", "aDBccDD", "aDBcDc", 
    "aDBcDcD", "aDBcDDc", "aDBDcc", "aDBDccD", "aDBDcDc", "aDBDDcc", "aDcBBc",
     "aDcBc", "aDcBcB", "aDcBcD", "aDcBcDD", "aDcBDc", "aDcBDcD", "aDcBDDc", 
    "aDcc", "aDccB", "aDccBB", "aDccBD", "aDccBDD", "aDccD", "aDccDB", 
    "aDccDBD", "aDccDD", "aDccDDB", "aDccDDD", "aDccDDDD", "aDcDBc", 
    "aDcDBcD", "aDcDBDc", "aDcDc", "aDcDcB", "aDcDcBD", "aDcDcD", "aDcDcDB", 
    "aDcDcDD", "aDcDcDDD", "aDcDDBc", "aDcDDc", "aDcDDcB", "aDcDDcD", 
    "aDcDDcDD", "aDcDDDc", "aDcDDDcD", "aDcDDDDc", "aDDBcc", "aDDBccD", 
    "aDDBcDc", "aDDBDcc", "aDDcBc", "aDDcBcD", "aDDcBDc", "aDDcc", "aDDccB", 
    "aDDccBD", "aDDccD", "aDDccDB", "aDDccDD", "aDDccDDD", "aDDcDBc", 
    "aDDcDc", "aDDcDcB", "aDDcDcD", "aDDcDcDD", "aDDcDDc", "aDDcDDcD", 
    "aDDcDDDc", "aDDDBcc", "aDDDcBc", "aDDDcc", "aDDDccB", "aDDDccD", 
    "aDDDccDD", "aDDDcDc", "aDDDcDcD", "aDDDcDDc", "aDDDDcc", "aDDDDccD", 
    "aDDDDcDc", "aDDDDDcc", "SBccc", "ScBcc", "SccBc", "Sccc", "ScccB", 
    "ScccD", "ScccDD", "SccDc", "SccDcD", "SccDDc", "ScDcc", "ScDccD", 
    "ScDcDc", "ScDDcc", "SDccc", "SDcccD", "SDccDc", "SDcDcc", "SDDccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.820752323791827*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"0c45aad1-2924-4cb2-a2bf-836faac7b4ce"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"6", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aBBBc\"\>", ",", "\<\"aBBc\"\>", ",", "\<\"aBBcB\"\>", 
     ",", "\<\"aBBcD\"\>", ",", "\<\"aBBcDD\"\>", ",", "\<\"aBBDc\"\>", 
     ",", "\<\"aBBDcD\"\>", ",", "\<\"aBBDDc\"\>", ",", "\<\"aBc\"\>", 
     ",", "\<\"aBcB\"\>", ",", "\<\"aBcBB\"\>", ",", "\<\"aBcBD\"\>", 
     ",", "\<\"aBcBDD\"\>", ",", "\<\"aBcD\"\>", ",", "\<\"aBcDB\"\>", 
     ",", "\<\"aBcDBD\"\>", ",", "\<\"aBcDD\"\>", ",", "\<\"aBcDDB\"\>", 
     ",", "\<\"aBcDDD\"\>", ",", "\<\"aBcDDDD\"\>", ",", "\<\"aBDBc\"\>", 
     ",", "\<\"aBDBcD\"\>", ",", "\<\"aBDBDc\"\>", ",", "\<\"aBDc\"\>", 
     ",", "\<\"aBDcB\"\>", ",", "\<\"aBDcBD\"\>", ",", "\<\"aBDcD\"\>", 
     ",", "\<\"aBDcDB\"\>", ",", "\<\"aBDcDD\"\>", ",", "\<\"aBDcDDD\"\>", 
     ",", "\<\"aBDDBc\"\>", ",", "\<\"aBDDc\"\>", ",", "\<\"aBDDcB\"\>", 
     ",", "\<\"aBDDcD\"\>", ",", "\<\"aBDDcDD\"\>", ",", "\<\"aBDDDc\"\>", 
     ",", "\<\"aBDDDcD\"\>", ",", "\<\"aBDDDDc\"\>", ",", "\<\"acB\"\>", 
     ",", "\<\"acBB\"\>", ",", "\<\"acBBB\"\>", ",", "\<\"acBBD\"\>", 
     ",", "\<\"acBBDD\"\>", ",", "\<\"acBD\"\>", ",", "\<\"acBDB\"\>", 
     ",", "\<\"acBDBD\"\>", ",", "\<\"acBDD\"\>", ",", "\<\"acBDDB\"\>", 
     ",", "\<\"acBDDD\"\>", ",", "\<\"acBDDDD\"\>", ",", "\<\"acD\"\>", 
     ",", "\<\"acDB\"\>", ",", "\<\"acDBB\"\>", ",", "\<\"acDBBD\"\>", 
     ",", "\<\"acDBD\"\>", ",", "\<\"acDBDB\"\>", ",", "\<\"acDBDD\"\>", 
     ",", "\<\"acDBDDD\"\>", ",", "\<\"acDD\"\>", ",", "\<\"acDDB\"\>", 
     ",", "\<\"acDDBB\"\>", ",", "\<\"acDDBD\"\>", ",", "\<\"acDDBDD\"\>", 
     ",", "\<\"acDDD\"\>", ",", "\<\"acDDDB\"\>", ",", "\<\"acDDDBD\"\>", 
     ",", "\<\"acDDDD\"\>", ",", "\<\"acDDDDB\"\>", ",", "\<\"acDDDDD\"\>", 
     ",", "\<\"acDDDDDD\"\>", ",", "\<\"aDBBc\"\>", ",", "\<\"aDBBcD\"\>", 
     ",", "\<\"aDBBDc\"\>", ",", "\<\"aDBc\"\>", ",", "\<\"aDBcB\"\>", 
     ",", "\<\"aDBcBD\"\>", ",", "\<\"aDBcD\"\>", ",", "\<\"aDBcDB\"\>", 
     ",", "\<\"aDBcDD\"\>", ",", "\<\"aDBcDDD\"\>", ",", "\<\"aDBDBc\"\>", 
     ",", "\<\"aDBDc\"\>", ",", "\<\"aDBDcB\"\>", ",", "\<\"aDBDcD\"\>", 
     ",", "\<\"aDBDcDD\"\>", ",", "\<\"aDBDDc\"\>", ",", "\<\"aDBDDcD\"\>", 
     ",", "\<\"aDBDDDc\"\>", ",", "\<\"aDc\"\>", ",", "\<\"aDcB\"\>", 
     ",", "\<\"aDcBB\"\>", ",", "\<\"aDcBBD\"\>", ",", "\<\"aDcBD\"\>", 
     ",", "\<\"aDcBDB\"\>", ",", "\<\"aDcBDD\"\>", ",", "\<\"aDcBDDD\"\>", 
     ",", "\<\"aDcD\"\>", ",", "\<\"aDcDB\"\>", ",", "\<\"aDcDBB\"\>", 
     ",", "\<\"aDcDBD\"\>", ",", "\<\"aDcDBDD\"\>", ",", "\<\"aDcDD\"\>", 
     ",", "\<\"aDcDDB\"\>", ",", "\<\"aDcDDBD\"\>", ",", "\<\"aDcDDD\"\>", 
     ",", "\<\"aDcDDDB\"\>", ",", "\<\"aDcDDDD\"\>", ",", "\<\"aDcDDDDD\"\>", 
     ",", "\<\"aDDBBc\"\>", ",", "\<\"aDDBc\"\>", ",", "\<\"aDDBcB\"\>", 
     ",", "\<\"aDDBcD\"\>", ",", "\<\"aDDBcDD\"\>", ",", "\<\"aDDBDc\"\>", 
     ",", "\<\"aDDBDcD\"\>", ",", "\<\"aDDBDDc\"\>", ",", "\<\"aDDc\"\>", 
     ",", "\<\"aDDcB\"\>", ",", "\<\"aDDcBB\"\>", ",", "\<\"aDDcBD\"\>", 
     ",", "\<\"aDDcBDD\"\>", ",", "\<\"aDDcD\"\>", ",", "\<\"aDDcDB\"\>", 
     ",", "\<\"aDDcDBD\"\>", ",", "\<\"aDDcDD\"\>", ",", "\<\"aDDcDDB\"\>", 
     ",", "\<\"aDDcDDD\"\>", ",", "\<\"aDDcDDDD\"\>", ",", "\<\"aDDDBc\"\>", 
     ",", "\<\"aDDDBcD\"\>", ",", "\<\"aDDDBDc\"\>", ",", "\<\"aDDDc\"\>", 
     ",", "\<\"aDDDcB\"\>", ",", "\<\"aDDDcBD\"\>", ",", "\<\"aDDDcD\"\>", 
     ",", "\<\"aDDDcDB\"\>", ",", "\<\"aDDDcDD\"\>", ",", "\<\"aDDDcDDD\"\>", 
     ",", "\<\"aDDDDBc\"\>", ",", "\<\"aDDDDc\"\>", ",", "\<\"aDDDDcB\"\>", 
     ",", "\<\"aDDDDcD\"\>", ",", "\<\"aDDDDcDD\"\>", ",", "\<\"aDDDDDc\"\>", 
     ",", "\<\"aDDDDDcD\"\>", ",", "\<\"aDDDDDDc\"\>", ",", "\<\"SBcc\"\>", 
     ",", "\<\"SBccD\"\>", ",", "\<\"SBcDc\"\>", ",", "\<\"SBDcc\"\>", 
     ",", "\<\"ScBc\"\>", ",", "\<\"ScBcD\"\>", ",", "\<\"ScBDc\"\>", 
     ",", "\<\"Scc\"\>", ",", "\<\"SccB\"\>", ",", "\<\"SccBD\"\>", 
     ",", "\<\"SccD\"\>", ",", "\<\"SccDB\"\>", ",", "\<\"SccDD\"\>", 
     ",", "\<\"SccDDD\"\>", ",", "\<\"ScDBc\"\>", ",", "\<\"ScDc\"\>", 
     ",", "\<\"ScDcB\"\>", ",", "\<\"ScDcD\"\>", ",", "\<\"ScDcDD\"\>", 
     ",", "\<\"ScDDc\"\>", ",", "\<\"ScDDcD\"\>", ",", "\<\"ScDDDc\"\>", 
     ",", "\<\"SDBcc\"\>", ",", "\<\"SDcBc\"\>", ",", "\<\"SDcc\"\>", 
     ",", "\<\"SDccB\"\>", ",", "\<\"SDccD\"\>", ",", "\<\"SDccDD\"\>", 
     ",", "\<\"SDcDc\"\>", ",", "\<\"SDcDcD\"\>", ",", "\<\"SDcDDc\"\>", 
     ",", "\<\"SDDcc\"\>", ",", "\<\"SDDccD\"\>", ",", "\<\"SDDcDc\"\>", 
     ",", "\<\"SDDDcc\"\>"}], "}"}]}],
  SequenceForm[
  6, " ", {"aBBBc", "aBBc", "aBBcB", "aBBcD", "aBBcDD", "aBBDc", "aBBDcD", 
    "aBBDDc", "aBc", "aBcB", "aBcBB", "aBcBD", "aBcBDD", "aBcD", "aBcDB", 
    "aBcDBD", "aBcDD", "aBcDDB", "aBcDDD", "aBcDDDD", "aBDBc", "aBDBcD", 
    "aBDBDc", "aBDc", "aBDcB", "aBDcBD", "aBDcD", "aBDcDB", "aBDcDD", 
    "aBDcDDD", "aBDDBc", "aBDDc", "aBDDcB", "aBDDcD", "aBDDcDD", "aBDDDc", 
    "aBDDDcD", "aBDDDDc", "acB", "acBB", "acBBB", "acBBD", "acBBDD", "acBD", 
    "acBDB", "acBDBD", "acBDD", "acBDDB", "acBDDD", "acBDDDD", "acD", "acDB", 
    "acDBB", "acDBBD", "acDBD", "acDBDB", "acDBDD", "acDBDDD", "acDD", 
    "acDDB", "acDDBB", "acDDBD", "acDDBDD", "acDDD", "acDDDB", "acDDDBD", 
    "acDDDD", "acDDDDB", "acDDDDD", "acDDDDDD", "aDBBc", "aDBBcD", "aDBBDc", 
    "aDBc", "aDBcB", "aDBcBD", "aDBcD", "aDBcDB", "aDBcDD", "aDBcDDD", 
    "aDBDBc", "aDBDc", "aDBDcB", "aDBDcD", "aDBDcDD", "aDBDDc", "aDBDDcD", 
    "aDBDDDc", "aDc", "aDcB", "aDcBB", "aDcBBD", "aDcBD", "aDcBDB", "aDcBDD", 
    "aDcBDDD", "aDcD", "aDcDB", "aDcDBB", "aDcDBD", "aDcDBDD", "aDcDD", 
    "aDcDDB", "aDcDDBD", "aDcDDD", "aDcDDDB", "aDcDDDD", "aDcDDDDD", "aDDBBc",
     "aDDBc", "aDDBcB", "aDDBcD", "aDDBcDD", "aDDBDc", "aDDBDcD", "aDDBDDc", 
    "aDDc", "aDDcB", "aDDcBB", "aDDcBD", "aDDcBDD", "aDDcD", "aDDcDB", 
    "aDDcDBD", "aDDcDD", "aDDcDDB", "aDDcDDD", "aDDcDDDD", "aDDDBc", 
    "aDDDBcD", "aDDDBDc", "aDDDc", "aDDDcB", "aDDDcBD", "aDDDcD", "aDDDcDB", 
    "aDDDcDD", "aDDDcDDD", "aDDDDBc", "aDDDDc", "aDDDDcB", "aDDDDcD", 
    "aDDDDcDD", "aDDDDDc", "aDDDDDcD", "aDDDDDDc", "SBcc", "SBccD", "SBcDc", 
    "SBDcc", "ScBc", "ScBcD", "ScBDc", "Scc", "SccB", "SccBD", "SccD", 
    "SccDB", "SccDD", "SccDDD", "ScDBc", "ScDc", "ScDcB", "ScDcD", "ScDcDD", 
    "ScDDc", "ScDDcD", "ScDDDc", "SDBcc", "SDcBc", "SDcc", "SDccB", "SDccD", 
    "SDccDD", "SDcDc", "SDcDcD", "SDcDDc", "SDDcc", "SDDccD", "SDDcDc", 
    "SDDDcc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.8207523238207536`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"ccb3b7dc-4c5c-4aae-a0a3-76b87ff60ec6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"7", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aB\"\>", ",", "\<\"aBB\"\>", ",", "\<\"aBBB\"\>", 
     ",", "\<\"aBBBD\"\>", ",", "\<\"aBBD\"\>", ",", "\<\"aBBDB\"\>", 
     ",", "\<\"aBBDD\"\>", ",", "\<\"aBBDDD\"\>", ",", "\<\"aBD\"\>", 
     ",", "\<\"aBDB\"\>", ",", "\<\"aBDBB\"\>", ",", "\<\"aBDBD\"\>", 
     ",", "\<\"aBDBDD\"\>", ",", "\<\"aBDD\"\>", ",", "\<\"aBDDB\"\>", 
     ",", "\<\"aBDDBD\"\>", ",", "\<\"aBDDD\"\>", ",", "\<\"aBDDDB\"\>", 
     ",", "\<\"aBDDDD\"\>", ",", "\<\"aBDDDDD\"\>", ",", "\<\"aD\"\>", 
     ",", "\<\"aDB\"\>", ",", "\<\"aDBB\"\>", ",", "\<\"aDBBB\"\>", 
     ",", "\<\"aDBBD\"\>", ",", "\<\"aDBBDD\"\>", ",", "\<\"aDBD\"\>", 
     ",", "\<\"aDBDB\"\>", ",", "\<\"aDBDBD\"\>", ",", "\<\"aDBDD\"\>", 
     ",", "\<\"aDBDDB\"\>", ",", "\<\"aDBDDD\"\>", ",", "\<\"aDBDDDD\"\>", 
     ",", "\<\"aDD\"\>", ",", "\<\"aDDB\"\>", ",", "\<\"aDDBB\"\>", 
     ",", "\<\"aDDBBD\"\>", ",", "\<\"aDDBD\"\>", ",", "\<\"aDDBDB\"\>", 
     ",", "\<\"aDDBDD\"\>", ",", "\<\"aDDBDDD\"\>", ",", "\<\"aDDD\"\>", 
     ",", "\<\"aDDDB\"\>", ",", "\<\"aDDDBB\"\>", ",", "\<\"aDDDBD\"\>", 
     ",", "\<\"aDDDBDD\"\>", ",", "\<\"aDDDD\"\>", ",", "\<\"aDDDDB\"\>", 
     ",", "\<\"aDDDDBD\"\>", ",", "\<\"aDDDDD\"\>", ",", "\<\"aDDDDDB\"\>", 
     ",", "\<\"aDDDDDD\"\>", ",", "\<\"aDDDDDDD\"\>", ",", "\<\"SBBc\"\>", 
     ",", "\<\"SBc\"\>", ",", "\<\"SBcB\"\>", ",", "\<\"SBcD\"\>", 
     ",", "\<\"SBcDD\"\>", ",", "\<\"SBDc\"\>", ",", "\<\"SBDcD\"\>", 
     ",", "\<\"SBDDc\"\>", ",", "\<\"Sc\"\>", ",", "\<\"ScB\"\>", 
     ",", "\<\"ScBB\"\>", ",", "\<\"ScBD\"\>", ",", "\<\"ScBDD\"\>", 
     ",", "\<\"ScD\"\>", ",", "\<\"ScDB\"\>", ",", "\<\"ScDBD\"\>", 
     ",", "\<\"ScDD\"\>", ",", "\<\"ScDDB\"\>", ",", "\<\"ScDDD\"\>", 
     ",", "\<\"ScDDDD\"\>", ",", "\<\"SDBc\"\>", ",", "\<\"SDBcD\"\>", 
     ",", "\<\"SDBDc\"\>", ",", "\<\"SDc\"\>", ",", "\<\"SDcB\"\>", 
     ",", "\<\"SDcBD\"\>", ",", "\<\"SDcD\"\>", ",", "\<\"SDcDB\"\>", 
     ",", "\<\"SDcDD\"\>", ",", "\<\"SDcDDD\"\>", ",", "\<\"SDDBc\"\>", 
     ",", "\<\"SDDc\"\>", ",", "\<\"SDDcB\"\>", ",", "\<\"SDDcD\"\>", 
     ",", "\<\"SDDcDD\"\>", ",", "\<\"SDDDc\"\>", ",", "\<\"SDDDcD\"\>", 
     ",", "\<\"SDDDDc\"\>"}], "}"}]}],
  SequenceForm[
  7, " ", {"aB", "aBB", "aBBB", "aBBBD", "aBBD", "aBBDB", "aBBDD", "aBBDDD", 
    "aBD", "aBDB", "aBDBB", "aBDBD", "aBDBDD", "aBDD", "aBDDB", "aBDDBD", 
    "aBDDD", "aBDDDB", "aBDDDD", "aBDDDDD", "aD", "aDB", "aDBB", "aDBBB", 
    "aDBBD", "aDBBDD", "aDBD", "aDBDB", "aDBDBD", "aDBDD", "aDBDDB", "aDBDDD",
     "aDBDDDD", "aDD", "aDDB", "aDDBB", "aDDBBD", "aDDBD", "aDDBDB", "aDDBDD",
     "aDDBDDD", "aDDD", "aDDDB", "aDDDBB", "aDDDBD", "aDDDBDD", "aDDDD", 
    "aDDDDB", "aDDDDBD", "aDDDDD", "aDDDDDB", "aDDDDDD", "aDDDDDDD", "SBBc", 
    "SBc", "SBcB", "SBcD", "SBcDD", "SBDc", "SBDcD", "SBDDc", "Sc", "ScB", 
    "ScBB", "ScBD", "ScBDD", "ScD", "ScDB", "ScDBD", "ScDD", "ScDDB", "ScDDD",
     "ScDDDD", "SDBc", "SDBcD", "SDBDc", "SDc", "SDcB", "SDcBD", "SDcD", 
    "SDcDB", "SDcDD", "SDcDDD", "SDDBc", "SDDc", "SDDcB", "SDDcD", "SDDcDD", 
    "SDDDc", "SDDDcD", "SDDDDc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.8207523238247423`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"42eaac59-0dfd-46c0-bfa0-91fb0884939b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"8", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", "\<\"SB\"\>", ",", "\<\"SBB\"\>", 
     ",", "\<\"SBBD\"\>", ",", "\<\"SBD\"\>", ",", "\<\"SBDB\"\>", 
     ",", "\<\"SBDD\"\>", ",", "\<\"SBDDD\"\>", ",", "\<\"SD\"\>", 
     ",", "\<\"SDB\"\>", ",", "\<\"SDBB\"\>", ",", "\<\"SDBD\"\>", 
     ",", "\<\"SDBDD\"\>", ",", "\<\"SDD\"\>", ",", "\<\"SDDB\"\>", 
     ",", "\<\"SDDBD\"\>", ",", "\<\"SDDD\"\>", ",", "\<\"SDDDB\"\>", 
     ",", "\<\"SDDDD\"\>", ",", "\<\"SDDDDD\"\>"}], "}"}]}],
  SequenceForm[
  8, " ", {"S", "SB", "SBB", "SBBD", "SBD", "SBDB", "SBDD", "SBDDD", "SD", 
    "SDB", "SDBB", "SDBD", "SDBDD", "SDD", "SDDB", "SDDBD", "SDDD", "SDDDB", 
    "SDDDD", "SDDDDD"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.820748206461549*^9, 3.8207482483955507`*^9, 3.820748516663639*^9, {
   3.82074855803796*^9, 3.820748601628396*^9}, {3.820750355307573*^9, 
   3.820750372857709*^9}, 3.8207505393924274`*^9, 3.820752323848675*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[77]:=",ExpressionUUID->"0c0aaa53-606d-459a-ac02-fbb973fa85c1"]
}, Open  ]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8207482064595537`*^9, 3.8207482483935547`*^9, 3.820748516661645*^9, {
   3.820748558035965*^9, 3.820748601624419*^9}, {3.8207503553045793`*^9, 
   3.8207503728557262`*^9}, 3.8207505394901657`*^9, 3.820752323852664*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"4dd939f4-e249-439b-b4ee-c5db724dad3a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ElementoLenguajeQ", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "\"\<S->aA|aB\>\"", ",", "\"\<A->aC\>\"", ",", "\"\<B->Dc\>\"", ",", 
     "\"\<C->bC|b\>\"", ",", "\"\<D->c|Dc\>\""}], "}"}], ",", 
   "\"\<aabbbccc\>\"", ",", 
   RowBox[{"derivaciones", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8207481401286535`*^9, 3.820748167104941*^9}, 
   3.820748227454184*^9, {3.8207503213958645`*^9, 3.8207503280192404`*^9}, {
   3.820750554927137*^9, 3.8207505588843594`*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"a8a5ebc4-e251-48fc-ae0d-36a666efe766"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aabbbccD\"\>", ",", "\<\"aabbbcDc\"\>", 
     ",", "\<\"aabbbDcc\"\>", ",", "\<\"aabbCccc\"\>", 
     ",", "\<\"aabCbccc\"\>", ",", "\<\"aaCbbccc\"\>"}], "}"}]}],
  SequenceForm[
  1, " ", {"aabbbccD", "aabbbcDc", "aabbbDcc", "aabbCccc", "aabCbccc", 
    "aaCbbccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523294797173`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"e18044fa-e936-41ff-b9fe-427edc48bd8a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"2", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aabbbBc\"\>", ",", "\<\"aabbbcB\"\>", ",", "\<\"aabbbcD\"\>",
      ",", "\<\"aabbbcDD\"\>", ",", "\<\"aabbbDc\"\>", 
     ",", "\<\"aabbbDcD\"\>", ",", "\<\"aabbbDDc\"\>", ",", "\<\"aAbbccc\"\>",
      ",", "\<\"aabbCccD\"\>", ",", "\<\"aabbCcDc\"\>", 
     ",", "\<\"aabbCDcc\"\>", ",", "\<\"aabCbccD\"\>", 
     ",", "\<\"aabCbcDc\"\>", ",", "\<\"aabCbDcc\"\>", ",", "\<\"aabCccc\"\>",
      ",", "\<\"aabCCccc\"\>", ",", "\<\"aaCbbccD\"\>", 
     ",", "\<\"aaCbbcDc\"\>", ",", "\<\"aaCbbDcc\"\>", ",", "\<\"aaCbccc\"\>",
      ",", "\<\"aaCbCccc\"\>", ",", "\<\"aaCCbccc\"\>"}], "}"}]}],
  SequenceForm[
  2, " ", {"aabbbBc", "aabbbcB", "aabbbcD", "aabbbcDD", "aabbbDc", "aabbbDcD",
     "aabbbDDc", "aAbbccc", "aabbCccD", "aabbCcDc", "aabbCDcc", "aabCbccD", 
    "aabCbcDc", "aabCbDcc", "aabCccc", "aabCCccc", "aaCbbccD", "aaCbbcDc", 
    "aaCbbDcc", "aaCbccc", "aaCbCccc", "aaCCbccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523294817114`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"b2e08ef9-3504-49c3-b0b1-d1b1edb05124"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aabbbB\"\>", ",", "\<\"aabbbBD\"\>", ",", "\<\"aabbbD\"\>", 
     ",", "\<\"aabbbDB\"\>", ",", "\<\"aabbbDD\"\>", ",", "\<\"aabbbDDD\"\>", 
     ",", "\<\"aabbCBc\"\>", ",", "\<\"aabbCcB\"\>", ",", "\<\"aabbCcD\"\>", 
     ",", "\<\"aAbbccD\"\>", ",", "\<\"aabbCcDD\"\>", ",", "\<\"aabbCDc\"\>", 
     ",", "\<\"aAbbcDc\"\>", ",", "\<\"aabbCDcD\"\>", ",", "\<\"aabbCDDc\"\>",
      ",", "\<\"aAbbDcc\"\>", ",", "\<\"aabCbBc\"\>", ",", "\<\"aabCbcB\"\>", 
     ",", "\<\"aabCbcD\"\>", ",", "\<\"aabCbcDD\"\>", ",", "\<\"aabCbDc\"\>", 
     ",", "\<\"aabCbDcD\"\>", ",", "\<\"aabCbDDc\"\>", ",", "\<\"aAbccc\"\>", 
     ",", "\<\"aAbCccc\"\>", ",", "\<\"aabCCccD\"\>", ",", "\<\"aabCccD\"\>", 
     ",", "\<\"aabCCcDc\"\>", ",", "\<\"aabCcDc\"\>", ",", "\<\"aabCCDcc\"\>",
      ",", "\<\"aabCDcc\"\>", ",", "\<\"aaCbbBc\"\>", ",", "\<\"aaCbbcB\"\>", 
     ",", "\<\"aaCbbcD\"\>", ",", "\<\"aaCbbcDD\"\>", ",", "\<\"aaCbbDc\"\>", 
     ",", "\<\"aaCbbDcD\"\>", ",", "\<\"aaCbbDDc\"\>", ",", "\<\"aACbccc\"\>",
      ",", "\<\"aaCbCccD\"\>", ",", "\<\"aaCbccD\"\>", 
     ",", "\<\"aaCbCcDc\"\>", ",", "\<\"aaCbcDc\"\>", ",", "\<\"aaCbCDcc\"\>",
      ",", "\<\"aaCbDcc\"\>", ",", "\<\"aaCCbccD\"\>", 
     ",", "\<\"aaCCbcDc\"\>", ",", "\<\"aaCCbDcc\"\>", ",", "\<\"aaCccc\"\>", 
     ",", "\<\"aaCCccc\"\>", ",", "\<\"aaCCCccc\"\>", ",", "\<\"Sbbccc\"\>"}],
     "}"}]}],
  SequenceForm[
  3, " ", {"aabbbB", "aabbbBD", "aabbbD", "aabbbDB", "aabbbDD", "aabbbDDD", 
    "aabbCBc", "aabbCcB", "aabbCcD", "aAbbccD", "aabbCcDD", "aabbCDc", 
    "aAbbcDc", "aabbCDcD", "aabbCDDc", "aAbbDcc", "aabCbBc", "aabCbcB", 
    "aabCbcD", "aabCbcDD", "aabCbDc", "aabCbDcD", "aabCbDDc", "aAbccc", 
    "aAbCccc", "aabCCccD", "aabCccD", "aabCCcDc", "aabCcDc", "aabCCDcc", 
    "aabCDcc", "aaCbbBc", "aaCbbcB", "aaCbbcD", "aaCbbcDD", "aaCbbDc", 
    "aaCbbDcD", "aaCbbDDc", "aACbccc", "aaCbCccD", "aaCbccD", "aaCbCcDc", 
    "aaCbcDc", "aaCbCDcc", "aaCbDcc", "aaCCbccD", "aaCCbcDc", "aaCCbDcc", 
    "aaCccc", "aaCCccc", "aaCCCccc", "Sbbccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.820752329484704*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"589fa42e-8976-4397-9f1b-dec140834f1c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"4", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbbBc\"\>", ",", "\<\"aabbCB\"\>", ",", "\<\"aAbbcB\"\>", 
     ",", "\<\"aabbCBD\"\>", ",", "\<\"aabbCD\"\>", ",", "\<\"aAbbcD\"\>", 
     ",", "\<\"aabbCDB\"\>", ",", "\<\"aabbCDD\"\>", ",", "\<\"aAbbcDD\"\>", 
     ",", "\<\"aabbCDDD\"\>", ",", "\<\"aAbbDc\"\>", ",", "\<\"aAbbDcD\"\>", 
     ",", "\<\"aAbbDDc\"\>", ",", "\<\"aabCbB\"\>", ",", "\<\"aabCbBD\"\>", 
     ",", "\<\"aabCBc\"\>", ",", "\<\"aabCbD\"\>", ",", "\<\"aabCbDB\"\>", 
     ",", "\<\"aabCbDD\"\>", ",", "\<\"aabCbDDD\"\>", ",", "\<\"aabCcB\"\>", 
     ",", "\<\"aabCCBc\"\>", ",", "\<\"aabCCcB\"\>", ",", "\<\"aabCCcD\"\>", 
     ",", "\<\"aAbCccD\"\>", ",", "\<\"aabCCcDD\"\>", ",", "\<\"aabCcD\"\>", 
     ",", "\<\"aAbccD\"\>", ",", "\<\"aabCCDc\"\>", ",", "\<\"aAbCcDc\"\>", 
     ",", "\<\"aabCCDcD\"\>", ",", "\<\"aabCcDD\"\>", ",", "\<\"aabCCDDc\"\>",
      ",", "\<\"aabCDc\"\>", ",", "\<\"aAbcDc\"\>", ",", "\<\"aAbCDcc\"\>", 
     ",", "\<\"aabCDcD\"\>", ",", "\<\"aabCDDc\"\>", ",", "\<\"aAbDcc\"\>", 
     ",", "\<\"aaCbbB\"\>", ",", "\<\"aaCbbBD\"\>", ",", "\<\"aaCbBc\"\>", 
     ",", "\<\"aaCbbD\"\>", ",", "\<\"aaCbbDB\"\>", ",", "\<\"aaCbbDD\"\>", 
     ",", "\<\"aaCbbDDD\"\>", ",", "\<\"aaCbcB\"\>", ",", "\<\"aaCbCBc\"\>", 
     ",", "\<\"aaCbCcB\"\>", ",", "\<\"aaCbCcD\"\>", ",", "\<\"aACbccD\"\>", 
     ",", "\<\"aaCbCcDD\"\>", ",", "\<\"aaCbcD\"\>", ",", "\<\"aaCbCDc\"\>", 
     ",", "\<\"aACbcDc\"\>", ",", "\<\"aaCbCDcD\"\>", ",", "\<\"aaCbcDD\"\>", 
     ",", "\<\"aaCbCDDc\"\>", ",", "\<\"aaCbDc\"\>", ",", "\<\"aACbDcc\"\>", 
     ",", "\<\"aaCbDcD\"\>", ",", "\<\"aaCbDDc\"\>", ",", "\<\"aaCCbBc\"\>", 
     ",", "\<\"aaCCbcB\"\>", ",", "\<\"aaCCbcD\"\>", ",", "\<\"aaCCbcDD\"\>", 
     ",", "\<\"aaCCbDc\"\>", ",", "\<\"aaCCbDcD\"\>", ",", "\<\"aaCCbDDc\"\>",
      ",", "\<\"aAccc\"\>", ",", "\<\"aACccc\"\>", ",", "\<\"aACCccc\"\>", 
     ",", "\<\"aaCCCccD\"\>", ",", "\<\"aaCCccD\"\>", ",", "\<\"aaCCCcDc\"\>",
      ",", "\<\"aaCccD\"\>", ",", "\<\"aaCCcDc\"\>", ",", "\<\"aaCCCDcc\"\>", 
     ",", "\<\"aaCcDc\"\>", ",", "\<\"aaCCDcc\"\>", ",", "\<\"aaCDcc\"\>", 
     ",", "\<\"SbbccD\"\>", ",", "\<\"SbbcDc\"\>", ",", "\<\"SbbDcc\"\>", 
     ",", "\<\"Sbccc\"\>", ",", "\<\"SbCccc\"\>", ",", "\<\"SCbccc\"\>"}], 
    "}"}]}],
  SequenceForm[
  4, " ", {"aAbbBc", "aabbCB", "aAbbcB", "aabbCBD", "aabbCD", "aAbbcD", 
    "aabbCDB", "aabbCDD", "aAbbcDD", "aabbCDDD", "aAbbDc", "aAbbDcD", 
    "aAbbDDc", "aabCbB", "aabCbBD", "aabCBc", "aabCbD", "aabCbDB", "aabCbDD", 
    "aabCbDDD", "aabCcB", "aabCCBc", "aabCCcB", "aabCCcD", "aAbCccD", 
    "aabCCcDD", "aabCcD", "aAbccD", "aabCCDc", "aAbCcDc", "aabCCDcD", 
    "aabCcDD", "aabCCDDc", "aabCDc", "aAbcDc", "aAbCDcc", "aabCDcD", 
    "aabCDDc", "aAbDcc", "aaCbbB", "aaCbbBD", "aaCbBc", "aaCbbD", "aaCbbDB", 
    "aaCbbDD", "aaCbbDDD", "aaCbcB", "aaCbCBc", "aaCbCcB", "aaCbCcD", 
    "aACbccD", "aaCbCcDD", "aaCbcD", "aaCbCDc", "aACbcDc", "aaCbCDcD", 
    "aaCbcDD", "aaCbCDDc", "aaCbDc", "aACbDcc", "aaCbDcD", "aaCbDDc", 
    "aaCCbBc", "aaCCbcB", "aaCCbcD", "aaCCbcDD", "aaCCbDc", "aaCCbDcD", 
    "aaCCbDDc", "aAccc", "aACccc", "aACCccc", "aaCCCccD", "aaCCccD", 
    "aaCCCcDc", "aaCccD", "aaCCcDc", "aaCCCDcc", "aaCcDc", "aaCCDcc", 
    "aaCDcc", "SbbccD", "SbbcDc", "SbbDcc", "Sbccc", "SbCccc", "SCbccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523294876976`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"98abf728-62f7-42df-abdd-1e3626b7a85c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"5", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbbB\"\>", ",", "\<\"aAbbBD\"\>", ",", "\<\"aAbBc\"\>", 
     ",", "\<\"aAbbD\"\>", ",", "\<\"aAbbDB\"\>", ",", "\<\"aAbbDD\"\>", 
     ",", "\<\"aAbbDDD\"\>", ",", "\<\"aabCB\"\>", ",", "\<\"aAbcB\"\>", 
     ",", "\<\"aAbCBc\"\>", ",", "\<\"aabCBD\"\>", ",", "\<\"aabCCB\"\>", 
     ",", "\<\"aAbCcB\"\>", ",", "\<\"aabCCBD\"\>", ",", "\<\"aabCCD\"\>", 
     ",", "\<\"aAbCcD\"\>", ",", "\<\"aabCCDB\"\>", ",", "\<\"aabCCDD\"\>", 
     ",", "\<\"aAbCcDD\"\>", ",", "\<\"aabCCDDD\"\>", ",", "\<\"aabCD\"\>", 
     ",", "\<\"aAbcD\"\>", ",", "\<\"aabCDB\"\>", ",", "\<\"aAbCDc\"\>", 
     ",", "\<\"aAbCDcD\"\>", ",", "\<\"aabCDD\"\>", ",", "\<\"aAbcDD\"\>", 
     ",", "\<\"aAbCDDc\"\>", ",", "\<\"aabCDDD\"\>", ",", "\<\"aAbDc\"\>", 
     ",", "\<\"aAbDcD\"\>", ",", "\<\"aAbDDc\"\>", ",", "\<\"aaCbB\"\>", 
     ",", "\<\"aACbBc\"\>", ",", "\<\"aaCbBD\"\>", ",", "\<\"aaCBc\"\>", 
     ",", "\<\"aaCbCB\"\>", ",", "\<\"aACbcB\"\>", ",", "\<\"aaCbCBD\"\>", 
     ",", "\<\"aaCbCD\"\>", ",", "\<\"aACbcD\"\>", ",", "\<\"aaCbCDB\"\>", 
     ",", "\<\"aaCbCDD\"\>", ",", "\<\"aACbcDD\"\>", ",", "\<\"aaCbCDDD\"\>", 
     ",", "\<\"aaCbD\"\>", ",", "\<\"aaCbDB\"\>", ",", "\<\"aACbDc\"\>", 
     ",", "\<\"aACbDcD\"\>", ",", "\<\"aaCbDD\"\>", ",", "\<\"aACbDDc\"\>", 
     ",", "\<\"aaCbDDD\"\>", ",", "\<\"aaCcB\"\>", ",", "\<\"aaCCbB\"\>", 
     ",", "\<\"aaCCbBD\"\>", ",", "\<\"aaCCBc\"\>", ",", "\<\"aaCCbD\"\>", 
     ",", "\<\"aaCCbDB\"\>", ",", "\<\"aaCCbDD\"\>", ",", "\<\"aaCCbDDD\"\>", 
     ",", "\<\"aaCCcB\"\>", ",", "\<\"aaCCCBc\"\>", ",", "\<\"aaCCCcB\"\>", 
     ",", "\<\"aaCCCcD\"\>", ",", "\<\"aACCccD\"\>", ",", "\<\"aaCCCcDD\"\>", 
     ",", "\<\"aaCCcD\"\>", ",", "\<\"aACccD\"\>", ",", "\<\"aaCCCDc\"\>", 
     ",", "\<\"aACCcDc\"\>", ",", "\<\"aaCCCDcD\"\>", ",", "\<\"aaCCcDD\"\>", 
     ",", "\<\"aaCCCDDc\"\>", ",", "\<\"aaCcD\"\>", ",", "\<\"aAccD\"\>", 
     ",", "\<\"aaCCDc\"\>", ",", "\<\"aACcDc\"\>", ",", "\<\"aACCDcc\"\>", 
     ",", "\<\"aaCCDcD\"\>", ",", "\<\"aaCcDD\"\>", ",", "\<\"aaCCDDc\"\>", 
     ",", "\<\"aaCDc\"\>", ",", "\<\"aAcDc\"\>", ",", "\<\"aACDcc\"\>", 
     ",", "\<\"aaCDcD\"\>", ",", "\<\"aaCDDc\"\>", ",", "\<\"aADcc\"\>", 
     ",", "\<\"SbbBc\"\>", ",", "\<\"SbbcB\"\>", ",", "\<\"SbbcD\"\>", 
     ",", "\<\"SbbcDD\"\>", ",", "\<\"SbbDc\"\>", ",", "\<\"SbbDcD\"\>", 
     ",", "\<\"SbbDDc\"\>", ",", "\<\"SbCccD\"\>", ",", "\<\"SbccD\"\>", 
     ",", "\<\"SbCcDc\"\>", ",", "\<\"SbcDc\"\>", ",", "\<\"SbCDcc\"\>", 
     ",", "\<\"SbDcc\"\>", ",", "\<\"SCbccD\"\>", ",", "\<\"SCbcDc\"\>", 
     ",", "\<\"SCbDcc\"\>", ",", "\<\"Sccc\"\>", ",", "\<\"SCccc\"\>", 
     ",", "\<\"SCCccc\"\>"}], "}"}]}],
  SequenceForm[
  5, " ", {"aAbbB", "aAbbBD", "aAbBc", "aAbbD", "aAbbDB", "aAbbDD", "aAbbDDD",
     "aabCB", "aAbcB", "aAbCBc", "aabCBD", "aabCCB", "aAbCcB", "aabCCBD", 
    "aabCCD", "aAbCcD", "aabCCDB", "aabCCDD", "aAbCcDD", "aabCCDDD", "aabCD", 
    "aAbcD", "aabCDB", "aAbCDc", "aAbCDcD", "aabCDD", "aAbcDD", "aAbCDDc", 
    "aabCDDD", "aAbDc", "aAbDcD", "aAbDDc", "aaCbB", "aACbBc", "aaCbBD", 
    "aaCBc", "aaCbCB", "aACbcB", "aaCbCBD", "aaCbCD", "aACbcD", "aaCbCDB", 
    "aaCbCDD", "aACbcDD", "aaCbCDDD", "aaCbD", "aaCbDB", "aACbDc", "aACbDcD", 
    "aaCbDD", "aACbDDc", "aaCbDDD", "aaCcB", "aaCCbB", "aaCCbBD", "aaCCBc", 
    "aaCCbD", "aaCCbDB", "aaCCbDD", "aaCCbDDD", "aaCCcB", "aaCCCBc", 
    "aaCCCcB", "aaCCCcD", "aACCccD", "aaCCCcDD", "aaCCcD", "aACccD", 
    "aaCCCDc", "aACCcDc", "aaCCCDcD", "aaCCcDD", "aaCCCDDc", "aaCcD", "aAccD",
     "aaCCDc", "aACcDc", "aACCDcc", "aaCCDcD", "aaCcDD", "aaCCDDc", "aaCDc", 
    "aAcDc", "aACDcc", "aaCDcD", "aaCDDc", "aADcc", "SbbBc", "SbbcB", "SbbcD",
     "SbbcDD", "SbbDc", "SbbDcD", "SbbDDc", "SbCccD", "SbccD", "SbCcDc", 
    "SbcDc", "SbCDcc", "SbDcc", "SCbccD", "SCbcDc", "SCbDcc", "Sccc", "SCccc",
     "SCCccc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.820752329491686*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"b92c70af-66e5-41bb-943c-f9bc91711799"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"6", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAbB\"\>", ",", "\<\"aAbBD\"\>", ",", "\<\"aABc\"\>", 
     ",", "\<\"aAbCB\"\>", ",", "\<\"aAbCBD\"\>", ",", "\<\"aAbCD\"\>", 
     ",", "\<\"aAbCDB\"\>", ",", "\<\"aAbCDD\"\>", ",", "\<\"aAbCDDD\"\>", 
     ",", "\<\"aAbD\"\>", ",", "\<\"aAbDB\"\>", ",", "\<\"aAbDD\"\>", 
     ",", "\<\"aAbDDD\"\>", ",", "\<\"aaCB\"\>", ",", "\<\"aAcB\"\>", 
     ",", "\<\"aACbB\"\>", ",", "\<\"aACbBD\"\>", ",", "\<\"aACBc\"\>", 
     ",", "\<\"aaCBD\"\>", ",", "\<\"aACbD\"\>", ",", "\<\"aACbDB\"\>", 
     ",", "\<\"aACbDD\"\>", ",", "\<\"aACbDDD\"\>", ",", "\<\"aaCCB\"\>", 
     ",", "\<\"aACcB\"\>", ",", "\<\"aACCBc\"\>", ",", "\<\"aaCCBD\"\>", 
     ",", "\<\"aaCCCB\"\>", ",", "\<\"aACCcB\"\>", ",", "\<\"aaCCCBD\"\>", 
     ",", "\<\"aaCCCD\"\>", ",", "\<\"aACCcD\"\>", ",", "\<\"aaCCCDB\"\>", 
     ",", "\<\"aaCCCDD\"\>", ",", "\<\"aACCcDD\"\>", ",", "\<\"aaCCCDDD\"\>", 
     ",", "\<\"aaCCD\"\>", ",", "\<\"aACcD\"\>", ",", "\<\"aaCCDB\"\>", 
     ",", "\<\"aACCDc\"\>", ",", "\<\"aACCDcD\"\>", ",", "\<\"aaCCDD\"\>", 
     ",", "\<\"aACcDD\"\>", ",", "\<\"aACCDDc\"\>", ",", "\<\"aaCCDDD\"\>", 
     ",", "\<\"aaCD\"\>", ",", "\<\"aAcD\"\>", ",", "\<\"aaCDB\"\>", 
     ",", "\<\"aACDc\"\>", ",", "\<\"aACDcD\"\>", ",", "\<\"aaCDD\"\>", 
     ",", "\<\"aAcDD\"\>", ",", "\<\"aACDDc\"\>", ",", "\<\"aaCDDD\"\>", 
     ",", "\<\"aADc\"\>", ",", "\<\"aADcD\"\>", ",", "\<\"aADDc\"\>", 
     ",", "\<\"SbbB\"\>", ",", "\<\"SbbBD\"\>", ",", "\<\"SbBc\"\>", 
     ",", "\<\"SbbD\"\>", ",", "\<\"SbbDB\"\>", ",", "\<\"SbbDD\"\>", 
     ",", "\<\"SbbDDD\"\>", ",", "\<\"SbcB\"\>", ",", "\<\"SbCBc\"\>", 
     ",", "\<\"SbCcB\"\>", ",", "\<\"SbCcD\"\>", ",", "\<\"SbCcDD\"\>", 
     ",", "\<\"SbcD\"\>", ",", "\<\"SbCDc\"\>", ",", "\<\"SbCDcD\"\>", 
     ",", "\<\"SbcDD\"\>", ",", "\<\"SbCDDc\"\>", ",", "\<\"SbDc\"\>", 
     ",", "\<\"SbDcD\"\>", ",", "\<\"SbDDc\"\>", ",", "\<\"SCbBc\"\>", 
     ",", "\<\"SCbcB\"\>", ",", "\<\"SCbcD\"\>", ",", "\<\"SCbcDD\"\>", 
     ",", "\<\"SCbDc\"\>", ",", "\<\"SCbDcD\"\>", ",", "\<\"SCbDDc\"\>", 
     ",", "\<\"SCCccD\"\>", ",", "\<\"SCccD\"\>", ",", "\<\"SCCcDc\"\>", 
     ",", "\<\"SccD\"\>", ",", "\<\"SCcDc\"\>", ",", "\<\"SCCDcc\"\>", 
     ",", "\<\"ScDc\"\>", ",", "\<\"SCDcc\"\>", ",", "\<\"SDcc\"\>"}], "}"}]}],
  SequenceForm[
  6, " ", {"aAbB", "aAbBD", "aABc", "aAbCB", "aAbCBD", "aAbCD", "aAbCDB", 
    "aAbCDD", "aAbCDDD", "aAbD", "aAbDB", "aAbDD", "aAbDDD", "aaCB", "aAcB", 
    "aACbB", "aACbBD", "aACBc", "aaCBD", "aACbD", "aACbDB", "aACbDD", 
    "aACbDDD", "aaCCB", "aACcB", "aACCBc", "aaCCBD", "aaCCCB", "aACCcB", 
    "aaCCCBD", "aaCCCD", "aACCcD", "aaCCCDB", "aaCCCDD", "aACCcDD", 
    "aaCCCDDD", "aaCCD", "aACcD", "aaCCDB", "aACCDc", "aACCDcD", "aaCCDD", 
    "aACcDD", "aACCDDc", "aaCCDDD", "aaCD", "aAcD", "aaCDB", "aACDc", 
    "aACDcD", "aaCDD", "aAcDD", "aACDDc", "aaCDDD", "aADc", "aADcD", "aADDc", 
    "SbbB", "SbbBD", "SbBc", "SbbD", "SbbDB", "SbbDD", "SbbDDD", "SbcB", 
    "SbCBc", "SbCcB", "SbCcD", "SbCcDD", "SbcD", "SbCDc", "SbCDcD", "SbcDD", 
    "SbCDDc", "SbDc", "SbDcD", "SbDDc", "SCbBc", "SCbcB", "SCbcD", "SCbcDD", 
    "SCbDc", "SCbDcD", "SCbDDc", "SCCccD", "SCccD", "SCCcDc", "SccD", "SCcDc",
     "SCCDcc", "ScDc", "SCDcc", "SDcc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523295166225`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"eaec4691-2335-435e-8c4d-80c588871163"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"7", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"aAB\"\>", ",", "\<\"aABD\"\>", ",", "\<\"aACB\"\>", 
     ",", "\<\"aACBD\"\>", ",", "\<\"aACCB\"\>", ",", "\<\"aACCBD\"\>", 
     ",", "\<\"aACCD\"\>", ",", "\<\"aACCDB\"\>", ",", "\<\"aACCDD\"\>", 
     ",", "\<\"aACCDDD\"\>", ",", "\<\"aACD\"\>", ",", "\<\"aACDB\"\>", 
     ",", "\<\"aACDD\"\>", ",", "\<\"aACDDD\"\>", ",", "\<\"aAD\"\>", 
     ",", "\<\"aADB\"\>", ",", "\<\"aADD\"\>", ",", "\<\"aADDD\"\>", 
     ",", "\<\"SbB\"\>", ",", "\<\"SbBD\"\>", ",", "\<\"SBc\"\>", 
     ",", "\<\"SbCB\"\>", ",", "\<\"SbCBD\"\>", ",", "\<\"SbCD\"\>", 
     ",", "\<\"SbCDB\"\>", ",", "\<\"SbCDD\"\>", ",", "\<\"SbCDDD\"\>", 
     ",", "\<\"SbD\"\>", ",", "\<\"SbDB\"\>", ",", "\<\"SbDD\"\>", 
     ",", "\<\"SbDDD\"\>", ",", "\<\"ScB\"\>", ",", "\<\"SCbB\"\>", 
     ",", "\<\"SCbBD\"\>", ",", "\<\"SCBc\"\>", ",", "\<\"SCbD\"\>", 
     ",", "\<\"SCbDB\"\>", ",", "\<\"SCbDD\"\>", ",", "\<\"SCbDDD\"\>", 
     ",", "\<\"SCcB\"\>", ",", "\<\"SCCBc\"\>", ",", "\<\"SCCcB\"\>", 
     ",", "\<\"SCCcD\"\>", ",", "\<\"SCCcDD\"\>", ",", "\<\"SCcD\"\>", 
     ",", "\<\"SCCDc\"\>", ",", "\<\"SCCDcD\"\>", ",", "\<\"SCcDD\"\>", 
     ",", "\<\"SCCDDc\"\>", ",", "\<\"ScD\"\>", ",", "\<\"SCDc\"\>", 
     ",", "\<\"SCDcD\"\>", ",", "\<\"ScDD\"\>", ",", "\<\"SCDDc\"\>", 
     ",", "\<\"SDc\"\>", ",", "\<\"SDcD\"\>", ",", "\<\"SDDc\"\>"}], "}"}]}],
  SequenceForm[
  7, " ", {"aAB", "aABD", "aACB", "aACBD", "aACCB", "aACCBD", "aACCD", 
    "aACCDB", "aACCDD", "aACCDDD", "aACD", "aACDB", "aACDD", "aACDDD", "aAD", 
    "aADB", "aADD", "aADDD", "SbB", "SbBD", "SBc", "SbCB", "SbCBD", "SbCD", 
    "SbCDB", "SbCDD", "SbCDDD", "SbD", "SbDB", "SbDD", "SbDDD", "ScB", "SCbB",
     "SCbBD", "SCBc", "SCbD", "SCbDB", "SCbDD", "SCbDDD", "SCcB", "SCCBc", 
    "SCCcB", "SCCcD", "SCCcDD", "SCcD", "SCCDc", "SCCDcD", "SCcDD", "SCCDDc", 
    "ScD", "SCDc", "SCDcD", "ScDD", "SCDDc", "SDc", "SDcD", "SDDc"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523295196147`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"f3cb76d8-9f59-4eef-b58e-d4325ebaa2df"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"8", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"SB\"\>", ",", "\<\"SBD\"\>", ",", "\<\"SCB\"\>", 
     ",", "\<\"SCBD\"\>", ",", "\<\"SCCB\"\>", ",", "\<\"SCCBD\"\>", 
     ",", "\<\"SCCD\"\>", ",", "\<\"SCCDB\"\>", ",", "\<\"SCCDD\"\>", 
     ",", "\<\"SCCDDD\"\>", ",", "\<\"SCD\"\>", ",", "\<\"SCDB\"\>", 
     ",", "\<\"SCDD\"\>", ",", "\<\"SCDDD\"\>", ",", "\<\"SD\"\>", 
     ",", "\<\"SDB\"\>", ",", "\<\"SDD\"\>", ",", "\<\"SDDD\"\>"}], "}"}]}],
  SequenceForm[
  8, " ", {"SB", "SBD", "SCB", "SCBD", "SCCB", "SCCBD", "SCCD", "SCCDB", 
    "SCCDD", "SCCDDD", "SCD", "SCDB", "SCDD", "SCDDD", "SD", "SDB", "SDD", 
    "SDDD"}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523295216103`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"3825c952-e578-406b-a4df-5615e938c8d5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"9", "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[9, " ", {}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8207482129972057`*^9, 3.8207482550329723`*^9, {3.8207485855779743`*^9, 
   3.8207485941588817`*^9}, {3.8207503300649652`*^9, 3.8207503786713023`*^9}, 
   3.820750560045265*^9, 3.8207523295236044`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[78]:=",ExpressionUUID->"af4c5867-4722-43fc-94b0-7421452dc841"]
}, Open  ]],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{
  3.8207482129942136`*^9, 3.820748255031975*^9, {3.82074858557598*^9, 
   3.820748594156887*^9}, {3.820750330062971*^9, 3.8207503786703053`*^9}, 
   3.820750560100119*^9, 3.820752329524602*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"16f80417-b688-4233-bb19-901c83dcd468"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-4.714285714285779, Automatic}, {
  Automatic, -4.714285714285714}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a8572f35-c064-47f4-a398-4a1b85c180ca"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 42, "Input",ExpressionUUID->"798f5459-a36d-414a-8cae-973c8a8959aa"],
Cell[CellGroupData[{
Cell[785, 27, 1412, 39, 237, "Input",ExpressionUUID->"5a66679a-5806-42fe-9866-4a88f6cc64d8"],
Cell[2200, 68, 267, 5, 48, "Output",ExpressionUUID->"a40d90f7-4dd5-42a0-97fb-7efe483cf828"],
Cell[2470, 75, 267, 5, 64, "Output",ExpressionUUID->"e8ff687d-7e9b-4138-8524-603d49ef1000"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2774, 85, 622, 12, 94, "Input",ExpressionUUID->"63cce46e-eb29-47bf-b433-42ca6f993800"],
Cell[CellGroupData[{
Cell[3421, 101, 829, 18, 33, "Print",ExpressionUUID->"f85c2442-ea57-473b-af91-8823f319b2e2"],
Cell[4253, 121, 1416, 26, 86, "Print",ExpressionUUID->"8aa063a3-54ac-4a05-aeb8-5c68e57edd66"],
Cell[5672, 149, 2167, 35, 139, "Print",ExpressionUUID->"f73ffd49-4faf-4a71-aad6-22429eb4dffc"],
Cell[7842, 186, 2643, 41, 191, "Print",ExpressionUUID->"39a95f15-8f1b-4fa5-b792-5d82beec1ed7"],
Cell[10488, 229, 2566, 40, 165, "Print",ExpressionUUID->"9b7e673e-a98e-4b54-868c-52c76a83bfff"],
Cell[13057, 271, 2000, 33, 112, "Print",ExpressionUUID->"c742442a-50ef-4451-a815-76ca4054fa84"],
Cell[15060, 306, 1274, 24, 60, "Print",ExpressionUUID->"9342b1f6-6836-4566-b52c-16569085a576"],
Cell[16337, 332, 766, 16, 33, "Print",ExpressionUUID->"f0ab27ad-e05d-4a39-901f-42479369d7e1"]
}, Open  ]],
Cell[17118, 351, 380, 6, 48, "Output",ExpressionUUID->"f8a6baef-1fdd-4c2e-8dfe-c8633992c445"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17535, 362, 622, 12, 94, "Input",ExpressionUUID->"a9043ede-3b39-4311-9701-16be1325cb09"],
Cell[CellGroupData[{
Cell[18182, 378, 835, 18, 33, "Print",ExpressionUUID->"622e45d2-412f-4802-b758-f0b1a643b32d"],
Cell[19020, 398, 1847, 31, 112, "Print",ExpressionUUID->"23838c0f-924e-46c4-94f0-f235dbadf055"],
Cell[20870, 431, 4046, 60, 296, "Print",ExpressionUUID->"74be79f2-a8ea-47ce-9e89-e11439d9f0eb"],
Cell[24919, 493, 6890, 98, 532, "Print",ExpressionUUID->"07f111bb-7f9e-4e44-b82c-768c115c1614"],
Cell[31812, 593, 8374, 117, 637, "Print",ExpressionUUID->"0c45aad1-2924-4cb2-a2bf-836faac7b4ce"],
Cell[40189, 712, 6909, 99, 480, "Print",ExpressionUUID->"ccb3b7dc-4c5c-4aae-a0a3-76b87ff60ec6"],
Cell[47101, 813, 3595, 55, 217, "Print",ExpressionUUID->"42eaac59-0dfd-46c0-bfa0-91fb0884939b"],
Cell[50699, 870, 1169, 22, 60, "Print",ExpressionUUID->"0c0aaa53-606d-459a-ac02-fbb973fa85c1"]
}, Open  ]],
Cell[51883, 895, 353, 5, 48, "Output",ExpressionUUID->"4dd939f4-e249-439b-b4ee-c5db724dad3a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52273, 905, 598, 12, 94, "Input",ExpressionUUID->"a8a5ebc4-e251-48fc-ae0d-36a666efe766"],
Cell[CellGroupData[{
Cell[52896, 921, 779, 17, 33, "Print",ExpressionUUID->"e18044fa-e936-41ff-b9fe-427edc48bd8a"],
Cell[53678, 940, 1403, 25, 86, "Print",ExpressionUUID->"b2e08ef9-3504-49c3-b0b1-d1b1edb05124"],
Cell[55084, 967, 2535, 40, 191, "Print",ExpressionUUID->"589fa42e-8976-4397-9f1b-dec140834f1c"],
Cell[57622, 1009, 3785, 56, 270, "Print",ExpressionUUID->"98abf728-62f7-42df-abdd-1e3626b7a85c"],
Cell[61410, 1067, 4347, 64, 296, "Print",ExpressionUUID->"b92c70af-66e5-41bb-943c-f9bc91711799"],
Cell[65760, 1133, 3731, 56, 244, "Print",ExpressionUUID->"eaec4691-2335-435e-8c4d-80c588871163"],
Cell[69494, 1191, 2397, 38, 139, "Print",ExpressionUUID->"f3cb76d8-9f59-4eef-b58e-d4325ebaa2df"],
Cell[71894, 1231, 1096, 21, 60, "Print",ExpressionUUID->"3825c952-e578-406b-a4df-5615e938c8d5"],
Cell[72993, 1254, 529, 12, 33, "Print",ExpressionUUID->"af4c5867-4722-43fc-94b0-7421452dc841"]
}, Open  ]],
Cell[73537, 1269, 325, 5, 64, "Output",ExpressionUUID->"16f80417-b688-4233-bb19-901c83dcd468"]
}, Open  ]]
}
]
*)

